import j from "../datasets/Datasets.vue.mjs";
import { mapGetters as k, mapActions as D } from "vuex";
import P from "../widgets/AppLink.vue.mjs";
import _ from "./CatalogPageDatasetCard.vue.mjs";
import B from "../datasetDetails/AppMarkdownContent.vue.mjs";
import { isNil as h, has as q, isArray as w, isObject as z, isString as L } from "lodash-es";
import { truncate as U, getTranslationFor as E } from "../utils/helpers.mjs";
import M from "../services/datasetService.mjs";
import V from "axios";
import { resolveComponent as b, openBlock as l, createElementBlock as i, createElementVNode as s, createTextVNode as r, renderSlot as N, createCommentVNode as d, toDisplayString as c, createVNode as p, withCtx as v, Fragment as S, renderList as T, withModifiers as A, normalizeClass as K, withDirectives as f, createBlock as C, vShow as y } from "vue";
import "./CatalogPage.vue2.mjs";
import G from "../_virtual/_plugin-vue_export-helper.mjs";
const H = {
  name: "CatalogPage",
  components: {
    Datasets: j,
    DatasetCard: _,
    AppLink: P,
    AppMarkdownContent: B
  },
  data() {
    return {
      interestingDatasets: [],
      interestingDatasetsFallback: [],
      activeTabName: "about",
      cardNavTabs: [
        {
          id: "about",
          displayName: "Über diese Seite"
        },
        {
          id: "dataset-selections",
          displayName: "Interessante Datensätze"
        },
        {
          id: "dataset-page",
          displayName: "Alle Datensätze"
        },
        {
          id: "contact",
          displayName: "Kontakt"
        }
      ],
      datasetService: null
    };
  },
  computed: {
    ...k("catalogDetails", [
      "getCatalog"
    ]),
    ...k("datasets", [
      "getDatasets",
      "getDatasetsCount",
      "getLoading",
      "getOffset"
    ]),
    catalog() {
      return this.getCatalog;
    }
  },
  methods: {
    isNil: h,
    // The imported Lodash has function. Must be defined in Methods so we can use it in template
    has: q,
    isArray: w,
    truncate: U,
    getTranslationFor: E,
    ...D("catalogDetails", [
      "loadCatalog"
    ]),
    ...D("datasets", [
      "loadDatasets",
      "loadSingleDataset"
    ]),
    setActiveTabName(e) {
      this.activeTabName = e;
    },
    showObject(e) {
      return !h(e) && z(e) && !Object.values(e).reduce((a, n) => a && n === void 0, !0);
    },
    showArrayOfStrings(e) {
      return this.showArray(e) && e.every((a) => this.showString(a));
    },
    showString(e) {
      return !h(e) && L(e);
    },
    showArray(e) {
      return !h(e) && w(e) && e.length > 0;
    },
    showObjectArray(e) {
      return this.showArray(e) && !e.reduce((a, n) => a && Object.values(n).reduce((u, g) => u && g === void 0, !0), !0);
    },
    loadCatalogInterestingDatasets(e) {
      for (let a of this.catalog.catalogueInterestingDatasets)
        this.loadSingleDataset(a).then((n) => {
          this.interestingDatasets.push(n);
        }).catch((n) => {
          console.log("error: ", n);
        });
    },
    loadCatalogInterestingDatasetsFallback(e) {
      for (let a of this.catalog.catalogueInterestingDatasets)
        this.datasetService.getSingle(a).then((n) => {
          this.interestingDatasetsFallback.push(n);
        }).catch((n) => console.log("error: ", n));
    }
  },
  mounted() {
    sessionStorage.activeTabName && (this.activeTabName = sessionStorage.activeTabName);
  },
  watch: {
    activeTabName(e) {
      sessionStorage.activeTabName = e;
    }
  },
  created() {
    this.$Progress.start(), this.datasetService = new M(
      this.$env.api.baseUrl,
      this.$env.api.hubUrl,
      this.$env.api.qualityBaseUrl,
      this.$env.api.similarityBaseUrl,
      this.$env.api.similarityServiceName,
      this.$env.content.datasets.facets.scoringFacets.defaultScoringFacets
    );
    let e = this.$route.params.ctlg_id;
    if (e == null) {
      const n = window.location.host.split(".");
      n.length > 1 && (e = n[0]);
    }
    Promise.all([
      this.loadCatalog(e).then(
        (a) => {
          this.loadCatalogInterestingDatasets(a);
        }
      ),
      // TODO: This is a temporary workaround.
      // We should refactor this code to use the store instead of making
      // a dedicated HTTP request for dataset search.
      // This will ensure that the most relevant datasets for the catalog are always displayed,
      // even if the search page has filtered datasets.
      V.get(`${this.$env.api.baseUrl}search`, {
        params: {
          q: "",
          filter: "dataset",
          limit: 3,
          page: 0,
          sort: "relevance+desc,+modified+desc,+title.de+asc",
          facetOperator: "AND",
          facetGroupOperator: "AND",
          dataServices: !1,
          includes: "id,title.de,description.de,languages,modified,issued,catalog.id,catalog.title,catalog.country.id,distributions.id,distributions.format.label,distributions.format.id,distributions.license,categories.label,publisher",
          facets: JSON.stringify({
            license: [],
            format: [],
            categories: [],
            catalog: [e],
            publisher: [],
            country: []
          })
        }
      }).then((a) => {
        var u, g;
        const n = ((g = (u = a.data) == null ? void 0 : u.result) == null ? void 0 : g.results) || [];
        this.loadCatalogInterestingDatasetsFallback(n);
      }).catch((a) => {
        console.error(a);
      })
      // ...this.activeTabName === 'dataset-page' ? [this.loadDatasets({locale: this.$route.query.locale})] : [],
    ]).then((a) => {
      this.$Progress.finish();
    }).catch((a) => {
      console.error(a), this.$Progress.fail();
    });
  }
}, J = { class: "catalog-page-container" }, W = {
  key: 0,
  class: "catalog-page-background",
  ref: "catBackground"
}, Q = ["src"], R = {
  key: 1,
  class: "catalog-page-background-default"
}, X = { class: "catalog-box" }, Y = {
  class: "catalog-header-container mx-auto d-flex justify-content-between align-items-center",
  ref: "catHeader"
}, Z = { class: "catalog-header-info d-flex" }, $ = ["src"], x = { class: "catalog-header-title-text" }, ee = {
  class: "catalog-header-title-title",
  "aria-label": "Katalogtitel"
}, ae = {
  class: "catalog-header-title-subtitle",
  "aria-label": "Homepage"
}, te = ["src"], se = { class: "catalog-card card" }, le = {
  class: "card-header",
  role: "navigation"
}, oe = {
  class: "nav nav-tabs card-header-tabs",
  role: "tablist",
  "aria-label": "Navigationsleiste"
}, ie = ["aria-controls", "aria-selected", "aria-label"], re = ["onClick", "href"], ne = { class: "card-body my-5" }, ge = {
  key: 0,
  class: "tab-pane active catalog-about-tab d-flex align-items-start justify-content-between",
  id: "about",
  role: "tabpanel"
}, de = { class: "tab-content d-flex" }, ce = ["src"], ue = {
  class: "tab-pane active",
  id: "dataset-selections",
  role: "tabpanel",
  "aria-labelledby": "dataset-selections-tab"
}, he = {
  key: 0,
  class: "tab-content d-flex flex-column align-items-center mt-3"
}, be = { class: "d-flex flex-wrap justify-content-center mb-5" }, me = { key: 1 }, pe = {
  class: "tab-pane active",
  id: "dataset-page",
  role: "tabpanel",
  "aria-labelledby": "dataset-page-tab"
}, ve = { class: "tab-content mt-3" }, fe = {
  class: "tab-pane active",
  id: "contact",
  role: "tabpanel",
  "aria-labelledby": "contact-tab"
}, Ce = { class: "tab-content" }, ye = { key: 0 }, ke = { key: 0 }, De = { key: 1 }, we = { key: 0 }, Ne = { key: 2 }, Se = { key: 0 }, Te = { key: 1 };
function Ae(e, a, n, u, g, t) {
  const m = b("app-link"), F = b("app-markdown-content"), O = b("DatasetCard"), I = b("Datasets");
  return l(), i("div", J, [
    t.showArray(e.getCatalog.catalogueBackground) ? (l(), i("div", W, [
      s("img", {
        class: "catalog-page-background-image",
        src: e.getCatalog.catalogueBackground,
        alt: ""
      }, null, 8, Q)
    ], 512)) : (l(), i("div", R)),
    a[17] || (a[17] = r()),
    s("div", X, [
      N(e.$slots, "header", {}, () => [
        s("div", Y, [
          s("div", Z, [
            t.showArray(e.getCatalog.catalogueFavIcon) ? (l(), i("img", {
              key: 0,
              class: "catalog-header-title-icon",
              src: e.getCatalog.catalogueFavIcon,
              alt: ""
            }, null, 8, $)) : d("", !0),
            a[2] || (a[2] = r()),
            s("div", x, [
              s("h1", ee, c(t.getTranslationFor(e.getCatalog.title, e.$route.query.locale, e.getCatalog.languages)), 1),
              a[1] || (a[1] = r()),
              s("h5", ae, [
                p(m, {
                  to: e.getCatalog.homepage
                }, {
                  default: v(() => [
                    r(c(e.getCatalog.homepage), 1)
                  ]),
                  _: 1
                }, 8, ["to"])
              ])
            ])
          ]),
          a[3] || (a[3] = r()),
          t.showArray(e.getCatalog.catalogueLogo) ? (l(), i("img", {
            key: 0,
            class: "catalog-header-logo d-none d-sm-block",
            src: e.getCatalog.catalogueLogo,
            alt: "",
            "aria-label": "logo"
          }, null, 8, te)) : d("", !0)
        ], 512)
      ], !0),
      a[16] || (a[16] = r()),
      s("div", se, [
        s("div", le, [
          s("ul", oe, [
            (l(!0), i(S, null, T(g.cardNavTabs, (o) => (l(), i("li", {
              key: o.id,
              role: "tab",
              "aria-controls": o.id,
              "aria-selected": g.activeTabName === o.id,
              "aria-label": o.displayName
            }, [
              s("a", {
                onClick: A((Fe) => t.setActiveTabName(o.id), ["prevent"]),
                class: K(["catalog-nav-link nav-link", { active: o.id === g.activeTabName }]),
                href: `#${o.id}`,
                role: "tab"
              }, c(o.displayName), 11, re)
            ], 8, ie))), 128))
          ])
        ]),
        a[15] || (a[15] = r()),
        s("div", ne, [
          g.activeTabName === "about" ? (l(), i("div", ge, [
            s("div", null, [
              s("div", de, [
                p(F, {
                  class: "card-text",
                  tag: "div",
                  text: t.getTranslationFor(t.catalog.description, e.$route.query.locale, t.catalog.languages)
                }, null, 8, ["text"])
              ])
            ]),
            a[4] || (a[4] = r()),
            t.showArray(e.getCatalog.catalogueProfile) ? (l(), i("img", {
              key: 0,
              class: "catalog-hero-pic img-fluid",
              src: e.getCatalog.catalogueProfile,
              alt: ""
            }, null, 8, ce)) : d("", !0)
          ])) : d("", !0),
          a[12] || (a[12] = r()),
          f(s("div", ue, [
            t.showArray(e.getDatasets) ? (l(), i("div", he, [
              s("div", be, [
                (l(!0), i(S, null, T(g.interestingDatasets.length > 0 ? g.interestingDatasets.slice(0, 3) : e.getDatasets.slice(0, 3), (o) => (l(), C(O, {
                  key: o.id,
                  to: `/datasets/${o.id}`,
                  datasetTitle: t.getTranslationFor(o.title, e.$route.query.locale, o.languages) || o.id,
                  datasetDescription: t.getTranslationFor(o.description, e.$route.query.locale, o.languages),
                  datasetCatalog: t.getTranslationFor(o.catalog.title, e.$route.query.locale, []),
                  descriptionMaxLength: 175,
                  "data-cy": `dataset@${o.id}`,
                  class: "mt-3"
                }, null, 8, ["to", "datasetTitle", "datasetDescription", "datasetCatalog", "data-cy"]))), 128))
              ]),
              a[5] || (a[5] = r()),
              s("button", {
                onClick: a[0] || (a[0] = A((o) => t.setActiveTabName("dataset-page"), ["prevent"])),
                class: "primary-button",
                role: "button"
              }, `
                Mehr Daten entdecken
              `)
            ])) : (l(), i("span", me, `
              Es sind keine Datensätze verfügbar.
            `))
          ], 512), [
            [y, g.activeTabName === "dataset-selections"]
          ]),
          a[13] || (a[13] = r()),
          f(s("div", pe, [
            N(e.$slots, "card-datasets", {}, () => [
              s("div", ve, [
                p(I)
              ])
            ], !0)
          ], 512), [
            [y, g.activeTabName === "dataset-page"]
          ]),
          a[14] || (a[14] = r()),
          f(s("div", fe, [
            s("div", Ce, [
              t.has(e.getCatalog, "publisher") && t.showObject(e.getCatalog.publisher) && (t.showString(e.getCatalog.publisher.email) || t.showString(e.getCatalog.publisher.homepage) || t.showObject(e.getCatalog.publisher.address)) ? (l(), i("dl", ye, [
                a[6] || (a[6] = s("h4", { class: "catalog-contact-header" }, "Fragen zu dieser Open Data Präsenz?", -1)),
                a[7] || (a[7] = r()),
                t.has(e.getCatalog, "publisher.name") && t.showString(e.getCatalog.publisher.name) ? (l(), i("dt", ke, c(e.getCatalog.publisher.name), 1)) : d("", !0),
                a[8] || (a[8] = r()),
                t.has(e.getCatalog, "publisher.address") && t.showObject(e.getCatalog.publisher.address) ? (l(), i("dd", De, [
                  t.has(e.getCatalog, "publisher.address.street") && t.showString(e.getCatalog.publisher.address.street) ? (l(), i("span", we, c(e.getCatalog.publisher.address.street), 1)) : d("", !0)
                ])) : d("", !0),
                a[9] || (a[9] = r()),
                t.has(e.getCatalog, "publisher.address") && t.showObject(e.getCatalog.publisher.address) ? (l(), i("dd", Ne, [
                  t.has(e.getCatalog, "publisher.address.postalCode") && t.showString(e.getCatalog.publisher.address.locality) && t.has(e.getCatalog, "publisher.address.locality") && t.showString(e.getCatalog.publisher.address.postalCode) ? (l(), i("span", Se, c(e.getCatalog.publisher.address.postalCode) + " " + c(e.getCatalog.publisher.address.locality), 1)) : d("", !0)
                ])) : d("", !0),
                a[10] || (a[10] = r()),
                s("dd", null, [
                  t.has(e.getCatalog, "publisher.email") && t.showString(e.getCatalog.publisher.email) ? (l(), C(m, {
                    key: 0,
                    to: e.getCatalog.publisher.email
                  }, {
                    default: v(() => [
                      r(c(e.getCatalog.publisher.email.startsWith("mailto:") ? e.getCatalog.publisher.email.slice(7) : e.getCatalog.publisher.email), 1)
                    ]),
                    _: 1
                  }, 8, ["to"])) : d("", !0)
                ]),
                a[11] || (a[11] = r()),
                s("dd", null, [
                  t.has(e.getCatalog, "publisher.homepage") && t.showString(e.getCatalog.publisher.homepage) ? (l(), C(m, {
                    key: 0,
                    to: e.getCatalog.publisher.homepage
                  }, {
                    default: v(() => [
                      r(c(e.getCatalog.publisher.homepage), 1)
                    ]),
                    _: 1
                  }, 8, ["to"])) : d("", !0)
                ])
              ])) : (l(), i("span", Te, `
                Es sind keine Kontaktinformationen verfügbar.
              `))
            ])
          ], 512), [
            [y, g.activeTabName === "contact"]
          ])
        ])
      ])
    ])
  ]);
}
const Ve = /* @__PURE__ */ G(H, [["render", Ae], ["__scopeId", "data-v-c6a4c80f"]]);
export {
  Ve as default
};
//# sourceMappingURL=CatalogPage.vue.mjs.map
