import { object as l, string as t, boolean as e, coerce as a, array as u, record as b, number as o, tuple as r, union as f, literal as s } from "../../external/zod/lib/index";
const i = l({
  or: t().default("OR"),
  and: t().default("AND")
}).default({}), S = l({
  useDatasetFacets: e().default(!0),
  useDatasetFacetsMap: e().default(!0),
  showClearButton: e().default(!1),
  showFacetsTitle: e().default(!1),
  cutoff: a.number().default(5),
  MIN_FACET_LIMIT: a.number().default(10),
  MAX_FACET_LIMIT: a.number().default(50),
  FACET_OPERATORS: i,
  FACET_GROUP_OPERATORS: i,
  defaultFacetOrder: u(t()).default([
    "publisher",
    "format",
    "catalog",
    "categories",
    "keywords",
    "dataScope",
    "country",
    "dataServices",
    "scoring",
    "license"
  ]),
  scoringFacets: l({
    useScoringFacets: e().default(!0),
    defaultScoringFacets: b(
      l({
        id: t(),
        title: t(),
        count: a.number(),
        minScoring: a.number(),
        maxScoring: a.number()
      })
    ).default({
      excellentScoring: {
        id: "excellentScoring",
        title: "Excellent",
        count: 0,
        minScoring: 351,
        maxScoring: 405
      },
      goodScoring: {
        id: "goodScoring",
        title: "Good",
        count: 0,
        minScoring: 221,
        maxScoring: 350
      },
      sufficientScoring: {
        id: "sufficientScoring",
        title: "Sufficient",
        count: 0,
        minScoring: 121,
        maxScoring: 220
      },
      badScoring: {
        id: "badScoring",
        title: "Any",
        count: 0,
        minScoring: 0,
        maxScoring: 120
      }
    })
  }).default({})
}).default({}), g = l({
  useSort: e().default(!0),
  useFeed: e().default(!0),
  useCatalogs: e().default(!0),
  followKeywordLinks: t().default("nofollow"),
  maxKeywordLength: a.number().default(15),
  facets: S
}).default({}), h = l({
  useSort: e().default(!0),
  useCatalogCountries: e().default(!0),
  defaultCatalogImagePath: t().default("/flags"),
  defaultCatalogCountryID: t().default("eu"),
  defaultCatalogID: t().default("european-union-open-data-portal"),
  facets: l({
    useCatalogFacets: e().default(!0),
    showClearButton: e().default(!1),
    showFacetsTitle: e().default(!1),
    cutoff: a.number().default(5),
    MIN_FACET_LIMIT: a.number().default(10),
    MAX_FACET_LIMIT: a.number().default(50),
    FACET_OPERATORS: i,
    FACET_GROUP_OPERATORS: i,
    defaultFacetOrder: u(t()).default(["country"]),
    useDatasetFacetsMap: e().default(!1)
  }).default({})
}).default({}), F = l({
  navigation: t().default("top"),
  hidePublisher: e().default(!1),
  hideDate: e().default(!1)
}).default({}), y = l({
  showTitle: e().default(!1),
  isVisible: e().default(!0),
  collapsed: e().default(!1)
}).default({}), T = l({
  enableMarkdownInterpretation: e().default(!0)
}).default({}), D = l({
  displayAll: e().default(!1),
  displayCount: a.number().default(7),
  incrementSteps: u(a.number()).default([10, 50]),
  descriptionMaxLines: a.number().default(3),
  descriptionMaxChars: a.number().default(250),
  showValidationButton: e().default(!1)
}).default({}), x = l({
  enable: e().default(!0),
  proxyUrl: t().default("https://piveau-corsproxy-piveau.apps.osc.fokus.fraunhofer.de"),
  url: t().default("https://piveau-fifoc-piveau.apps.osc.fokus.fraunhofer.de/v1/convert"),
  conversionFormats: u(
    l({
      sourceFileFormat: t(),
      targetFileFormat: u(t())
    })
  ).default([
    { sourceFileFormat: "HTML", targetFileFormat: ["html", "pdf", "docx", "json", "odt", "rtf"] },
    { sourceFileFormat: "CSV", targetFileFormat: ["csv", "docx", "html", "json", "odt", "rtf", "xls", "xlsx", "xml"] },
    { sourceFileFormat: "JSON", targetFileFormat: ["json", "xml"] },
    { sourceFileFormat: "ODT", targetFileFormat: ["odt", "docx", "html", "json", "rtf"] },
    { sourceFileFormat: "DOCX", targetFileFormat: ["docx", "pptx", "odt", "pdf", "txt", "html", "json", "odt", "rtf"] },
    { sourceFileFormat: "XLSX", targetFileFormat: ["xlsx", "csv"] },
    { sourceFileFormat: "XLS", targetFileFormat: ["xls", "csv"] },
    { sourceFileFormat: "PDF", targetFileFormat: ["pdf", "txt"] }
  ])
}).default({}), n = l({
  start: a.number().gte(0),
  end: a.number().gte(0)
}).refine((d) => d.start <= d.end, {
  message: "start must be less than or equal to end"
}), C = l({
  useSimilarDatasets: e().default(!0),
  breakpoints: l({
    verySimilar: n.default({ start: 0, end: 20 }),
    similar: n.default({ start: 20, end: 25 }),
    lessSimilar: n.default({ start: 25, end: 35 })
  }).default({})
}).default({}), c = l({
  isVisible: e().default(!1),
  displayAll: e().default(!1),
  displayCount: a.number().default(7),
  incrementSteps: u(a.number()).default([10, 50]),
  descriptionMaxLines: a.number().default(3),
  descriptionMaxChars: a.number().default(250)
}).default({}), I = c, M = c, v = l({
  isVisible: e().default(!1)
}).default({}), w = l({
  isVisible: e().default(!1)
}).default({}), A = l({
  buttonPosition: t().default("top"),
  MAX_FILE_TITLE_LENGTH: a.number().default(80),
  MAX_REQUESTS_COUNT: a.number().default(5),
  INTERVAL_MS: a.number().default(10),
  TIMEOUT_MS: a.number().default(1e4)
}).default({}), O = l({
  displayAll: e().default(!1),
  numberOfDisplayedQualityDistributions: a.number().default(5),
  csvLinter: l({
    enable: e().default(!0),
    displayAll: e().default(!1),
    numberOfDisplayedValidationResults: a.number().default(5)
  }).default({})
}).default({}), E = l({
  enable: e().default(!0),
  defaultWidth: o().default(900),
  defaultHeight: o().default(600),
  minRange: o().default(0),
  maxRange: o().default(9999)
}).default({}), P = l({
  properties: t().default(""),
  embed: E,
  header: F,
  keywords: y,
  description: T,
  distributions: D,
  downloadAs: x,
  similarDatasets: C,
  pages: c,
  visualisations: I,
  dataServices: M,
  isUsedBy: v,
  relatedResources: w,
  bulkDownload: A,
  quality: O
}).default({}), _ = r([u(a.number()), a.number()]), p = r([r([a.number(), a.number()]), r([a.number(), a.number()])]), R = f([
  s("topleft"),
  s("topright"),
  s("bottomleft"),
  s("bottomright")
]), L = l({
  mapVisible: e().default(!0),
  useAnimation: e().default(!0),
  location: _.default([[52.526, 13.314], 10]),
  spatialType: f([s("Point"), s("Polygon")]).default("Point"),
  height: t().default("400px"),
  width: t().default("100%"),
  mapContainerId: t().default("mapid"),
  urlTemplate: t().default("https://gisco-services.ec.europa.eu/maps/wmts/1.0.0/WMTSCapabilities.xml/wmts/OSMCartoComposite/EPSG3857/{z}/{x}/{y}.png"),
  geoBoundsId: t().default("ds-search-bounds"),
  sender: l({
    startBounds: p.default([[34.597, -9.8437], [71.4691, 41.4843]]),
    height: t().default("200px"),
    width: t().default("100%"),
    mapContainerId: t().default("modalMap")
  }).default({}),
  receiver: l({
    startBounds: p.default([[34.597, -9.8437], [71.4691, 41.4843]]),
    height: t().default("250px"),
    width: t().default("100%"),
    mapContainerId: t().default("mapid"),
    attributionPosition: R.default("topright")
  }).default({}),
  options: l({
    id: t().default("mapbox/streets-v11"),
    // todo: potentially dumb
    accessToken: t().default("pk.eyJ1IjoiZmFiaWFwZmVsa2VybiIsImEiOiJja2x3MzlvZ3UwNG85MnBseXJ6aGI2MHdkIn0.bFs2g4bPMYULlvDSVsetJg"),
    attribution: t().default('&copy; <a href="https://ec.europa.eu/eurostat/web/gisco/">Eurostat - GISCO</a>')
  }).default({}),
  mapStyle: l({
    color: t().default("red"),
    fillColor: t().default("red"),
    fillOpacity: a.number().default(0.5),
    weight: a.number().default(2),
    radius: a.number().default(1)
  }).default({})
}).default({}), k = l({
  uploadFileTypes: u(t()).default([]),
  useService: e().default(!0),
  enableFileUploadReplace: e().default(!1),
  basePath: t().default("/dpi"),
  specification: f([
    s("dcatap"),
    s("dcatapde")
  ], {
    errorMap: (d, m) => d.code === "invalid_union" ? { message: `Specification ${m.data} is not supported in Data Provider Interface.` } : { message: m.defaultError }
  }).default("dcatap"),
  annifIntegration: e().default(!1),
  annifLinkTheme: t().default(""),
  annifLinkSubject: t().default(""),
  buttons: l({
    Dataset: e().default(!0),
    Catalogue: e().default(!1)
  }).default({}),
  doiRegistrationService: l({
    persistentIdentifierType: t().default("eu-ra-doi")
  }).default({})
}).default({}), B = l({
  datasets: g,
  catalogs: h,
  datasetDetails: P,
  maps: L,
  dataProviderInterface: k
}).default({});
export {
  B as contentSchema,
  S as facetSchema
};
//# sourceMappingURL=contentSchema.mjs.map
