import { ComputedRef, InjectionKey, MaybeRefOrGetter } from 'vue';

export interface DpiSpecification {
    pageConent?: object;
    inputDefinition: object;
    prefixes: object;
    formatTypes: object;
    vocabPrefixes: object;
}
export interface DpiContext {
    specification: DpiSpecification;
    specificationName: string;
    edit?: {
        enabled?: boolean;
        id?: string;
        fromDraft?: boolean;
    };
}
export type ComputedDpiContext = ComputedRef<DpiContext>;
export declare const dpiContextKey: InjectionKey<ComputedDpiContext>;
export declare function useDpiContext(): ComputedDpiContext;
export declare function setupDpiContext(context: MaybeRefOrGetter<DpiContext>): void;
