import { DpiContext } from './useDpiContext';
import { MaybeRefOrGetter } from 'vue';

/**
 * Use this composable in the DataProviderInterface to fetch a dataset from the Hub API and
 * convert it to a form input via localStorage. This composable is used when the user navigates to a dataset
 * by clicking on the "Edit" on the DatasetDetails page or in DraftsPage
 *
 *
 * @param dpiContext - The DPI context as returned by `useDpiContext`.
 * @returns The computed properties described above.
 */
export declare function useDpiEditMode(dpiContext: MaybeRefOrGetter<DpiContext>): {
    isReady: import('vue').ComputedRef<boolean>;
    error: import('vue').Ref<unknown, unknown>;
};
