import v from "jquery";
import { isEmpty as o, has as c } from "lodash-es";
import { mapGetters as g, mapActions as D } from "vuex";
import { truncate as f } from "../../utils/helpers.mjs";
import { openBlock as r, createElementBlock as a, createElementVNode as i, toDisplayString as l, createTextVNode as s, Fragment as h, renderList as y, createCommentVNode as u } from "vue";
import "./DistributionOverview.vue2.mjs";
import $ from "../../_virtual/_plugin-vue_export-helper.mjs";
const w = {
  props: ["distributionOverviewPage"],
  data() {
    return {
      distributionToDelete: 0,
      distributionData: []
    };
  },
  computed: {
    ...g("dpiStore", [
      "getNumberOfDistributions",
      "getNavSteps",
      "getData"
    ])
  },
  methods: {
    ...D("dpiStore", [
      "addDistribution",
      "saveLocalstorageValues",
      "deleteDistribution",
      "setDeleteDistributionInline"
    ]),
    truncate: f,
    deleteDist() {
      this.deleteDistribution(this.distributionToDelete), this.setDeleteDistributionInline(!0), v("#deleteDistributionModal").modal("hide"), this.$router.push({ path: `${this.$env.content.dataProviderInterface.basePath}/datasets/distoverview`, query: { locale: this.$route.query.locale } }).catch(() => {
      });
    },
    triggerDeleteModal(e) {
      this.distributionToDelete = e, v("#deleteDistributionModal").modal({ show: !0 });
    },
    getDistributionFormat(e) {
      return o(e["dct:format"]) ? "UNKNOWN" : e["dct:format"].substring(e["dct:format"].lastIndexOf("/") + 1);
    },
    redirectToDistributionForm(e) {
      const t = this.getNavSteps(this.$env.content.dataProviderInterface.specification).distributions[0];
      this.$router.push({
        path: `${this.$env.content.dataProviderInterface.basePath}/distributions/${t}/${e}`,
        query: {
          locale: this.$route.query.locale,
          edit: e
        }
      }).catch(() => {
      });
    },
    createDistribution() {
      this.addDistribution();
      const t = this.getNumberOfDistributions - 1, m = this.getNavSteps(this.$env.content.dataProviderInterface.specification).distributions[0];
      this.$router.push(`${this.$env.content.dataProviderInterface.basePath}/distributions/${m}/${t}?locale=${this.$i18n.locale}`);
    },
    titleExists(e) {
      return !o(e["dct:title"]) && !o(e["dct:title"][0]) && c(e["dct:title"][0], "@value") && !o(e["dct:title"][0]["@value"]);
    },
    descriptionExists(e) {
      return !o(e["dct:description"]) && !o(e["dct:description"][0]) && c(e["dct:description"][0], "@value") && !o(e["dct:description"][0]["@value"]);
    },
    accessExists(e) {
      return !o(e["dcat:accessURL"]) && !o(e["dcat:accessURL"][0]) && c(e["dcat:accessURL"][0], "@id") && !o(e["dcat:accessURL"][0]["@id"]);
    }
  }
}, L = { class: "dist-list" }, k = {
  key: 0,
  class: "list-unstyled"
}, N = { class: "dist-details" }, P = { class: "dist-info" }, M = {
  key: 0,
  style: { "font-weight": "bold" }
}, C = {
  key: 1,
  style: { color: "#868e96" }
}, x = {
  key: 2,
  style: { color: "#868e96" }
}, E = { class: "dist-edit justify-content-end" }, I = ["onClick"], O = ["onClick"], z = {
  key: 1,
  class: "list-unstyled"
}, S = {
  class: "modal fade",
  id: "deleteDistributionModal",
  tabindex: "-1",
  role: "dialog",
  "aria-labelledby": "deleteModalLabel",
  "aria-hidden": "true",
  "data-cy": "citation-modal"
}, T = {
  class: "modal-dialog modal-lg",
  role: "document"
}, U = { class: "modal-content" }, q = { class: "modal-header" }, A = {
  class: "modal-title",
  id: "deleteModalLabel"
}, R = { class: "modal-body" }, B = { class: "modal-footer" }, F = {
  "data-dismiss": "modal",
  id: "cancel"
};
function V(e, t, m, j, H, n) {
  return r(), a("div", null, [
    i("div", L, [
      i("h3", null, l(e.$t("message.metadata.distributions")), 1),
      t[10] || (t[10] = s()),
      t[11] || (t[11] = i("hr", null, null, -1)),
      t[12] || (t[12] = s()),
      e.getData("distributions").length > 0 ? (r(), a("ul", k, [
        (r(!0), a(h, null, y(e.getData("distributions"), (d, b) => (r(), a("li", {
          key: b,
          class: "dist-item"
        }, [
          i("div", N, [
            i("div", P, [
              n.accessExists(d) ? (r(), a("span", M, l(d["dcat:accessURL"][0]["@id"]), 1)) : u("", !0),
              t[3] || (t[3] = i("br", null, null, -1)),
              t[4] || (t[4] = s()),
              n.titleExists(d) ? (r(), a("span", C, [
                s(l(d["dct:title"][0]["@value"]), 1),
                t[2] || (t[2] = i("br", null, null, -1))
              ])) : u("", !0),
              t[5] || (t[5] = s()),
              n.descriptionExists(d) ? (r(), a("span", x, l(d["dct:description"][0]["@value"]), 1)) : u("", !0)
            ]),
            t[9] || (t[9] = s()),
            i("div", E, [
              i("span", {
                onClick: (p) => n.redirectToDistributionForm(b),
                class: "dist-edit-button p-2"
              }, t[6] || (t[6] = [
                i("svg", {
                  xmlns: "http://www.w3.org/2000/svg",
                  width: "25",
                  height: "25",
                  fill: "currentColor",
                  class: "bi bi-pencil-square",
                  viewBox: "0 0 16 16"
                }, [
                  i("path", { d: "M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z" }),
                  s(),
                  i("path", {
                    "fill-rule": "evenodd",
                    d: "M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"
                  })
                ], -1)
              ]), 8, I),
              t[8] || (t[8] = s()),
              i("span", {
                onClick: (p) => n.triggerDeleteModal(b),
                class: "dist-delete-button p-2"
              }, t[7] || (t[7] = [
                i("svg", {
                  xmlns: "http://www.w3.org/2000/svg",
                  width: "25",
                  height: "25",
                  fill: "currentColor",
                  class: "bi bi-x-circle",
                  viewBox: "0 0 16 16"
                }, [
                  i("path", { d: "M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z" }),
                  s(),
                  i("path", { d: "M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z" })
                ], -1)
              ]), 8, O)
            ])
          ])
        ]))), 128))
      ])) : (r(), a("ul", z, [
        i("li", null, l(e.$t("message.dataupload.noDistributions")), 1)
      ])),
      t[13] || (t[13] = s()),
      m.distributionOverviewPage ? (r(), a("button", {
        key: 2,
        class: "default",
        onClick: t[0] || (t[0] = (...d) => n.createDistribution && n.createDistribution(...d))
      }, l(e.$t("message.dataupload.newDistribution")), 1)) : u("", !0)
    ]),
    t[21] || (t[21] = s()),
    i("div", S, [
      i("div", T, [
        i("div", U, [
          i("div", q, [
            i("h2", A, l(e.$t("message.dataupload.deletemodal.deleteDistribution")), 1),
            t[14] || (t[14] = s()),
            t[15] || (t[15] = i("button", {
              type: "button",
              class: "close",
              "data-dismiss": "modal",
              "aria-label": "Close"
            }, [
              i("span", { "aria-hidden": "true" }, "×")
            ], -1))
          ]),
          t[19] || (t[19] = s()),
          i("div", R, [
            i("h3", null, l(e.$t("message.dataupload.deletemodal.areyousure")), 1),
            t[16] || (t[16] = s()),
            t[17] || (t[17] = i("div", { class: "mt-3 d-flex justify-content-start align-items-center" }, null, -1))
          ]),
          t[20] || (t[20] = s()),
          i("div", B, [
            i("button", F, l(e.$t("message.datasetDetails.datasets.modal.cancel")), 1),
            t[18] || (t[18] = s()),
            i("button", {
              onClick: t[1] || (t[1] = (d) => n.deleteDist()),
              id: "delete"
            }, l(e.$t("message.datasetDetails.delete")), 1)
          ])
        ])
      ])
    ])
  ]);
}
const Z = /* @__PURE__ */ $(w, [["render", V], ["__scopeId", "data-v-c7bbc5b3"]]);
export {
  Z as default
};
//# sourceMappingURL=DistributionOverview.vue.mjs.map
