import { mapGetters as c, mapActions as m } from "vuex";
import p from "axios";
import { openBlock as l, createElementBlock as d, createElementVNode as a, toDisplayString as h, createTextVNode as u, withDirectives as f, vModelText as y } from "vue";
import "./LinkedDataViewer.vue2.mjs";
import g from "../../_virtual/_plugin-vue_export-helper.mjs";
const k = {
  props: {
    name: {
      type: String
    },
    format: {
      type: String
    }
  },
  data() {
    return {
      loading: !0,
      linkedData: ""
    };
  },
  computed: {
    ...c("auth", [
      "getUserData"
    ]),
    isLoading() {
      return this.loading;
    },
    url() {
      return `${this.$env.api.hubUrl}drafts/datasets/${this.name}.${this.format}?useNormalizedId=true&locale=${this.$route.query.locale}&catalogue=${this.$route.query.catalogue}`;
    }
  },
  methods: {
    ...m("snackbar", [
      "showSnackbar"
    ]),
    setupLinkedDataViewer() {
      this.url && this.loadLinkedData().then((e) => {
        this.loading = !1, this.linkedData = this.format === "jsonld" ? JSON.stringify(e.data, null, 2) : e.data, this.$nextTick(() => {
          const t = document.getElementsByTagName("textarea");
          for (let n = 0; n < t.length; n++)
            t[n].setAttribute("style", `height:${t[n].scrollHeight}px;overflow-y:hidden;`);
        });
      });
    },
    loadLinkedData() {
      return new Promise((e, t) => {
        const n = this.url;
        p.get(n, {
          headers: {
            Authorization: `Bearer ${this.getUserData.rtpToken}`
          }
        }).then((o) => {
          e(o);
        }).catch((o) => {
          t(o);
        });
      });
    },
    handleCopy(e) {
      navigator.clipboard.writeText(e), this.showSnackbar({
        message: "Text successfully copied",
        variant: "success"
      });
    },
    handleDownload(e) {
      const t = document.createElement("A");
      t.setAttribute("href", `data:text/plain;charset=utf-8,${encodeURIComponent(e)}`), t.setAttribute("download", `${this.name}.${this.format}`), t.style.display = "none", document.body.appendChild(t), t.click(), document.body.removeChild(t);
    }
  },
  created() {
    this.setupLinkedDataViewer();
  }
}, b = { class: "d-flex flex-column bg-transparent container-fluid justify-content-between content" }, D = {
  key: 0,
  class: "loading-spinner ml-3"
}, x = { key: 1 }, v = { class: "d-flex justify-content-between" }, w = { class: "d-inline" };
function $(e, t, n, o, i, s) {
  return l(), d("div", b, [
    s.isLoading ? (l(), d("div", D)) : (l(), d("div", x, [
      a("div", v, [
        a("h1", w, h(this.name), 1),
        t[4] || (t[4] = u()),
        a("div", null, [
          a("button", {
            type: "button",
            class: "btn btn-secondary",
            onClick: t[0] || (t[0] = (r) => s.handleCopy(i.linkedData))
          }, `
            Copy
          `),
          t[3] || (t[3] = u()),
          a("button", {
            type: "button",
            class: "btn btn-primary",
            onClick: t[1] || (t[1] = (r) => s.handleDownload(i.linkedData))
          }, "Download")
        ])
      ]),
      t[5] || (t[5] = u()),
      f(a("textarea", {
        "onUpdate:modelValue": t[2] || (t[2] = (r) => i.linkedData = r)
      }, null, 512), [
        [y, i.linkedData]
      ])
    ]))
  ]);
}
const S = /* @__PURE__ */ g(k, [["render", $], ["__scopeId", "data-v-b58ac050"]]);
export {
  S as default
};
//# sourceMappingURL=LinkedDataViewer.vue.mjs.map
