import w from "axios";
import { mapGetters as u, mapActions as y } from "vuex";
import b from "../components/LanguageSelector.vue.mjs";
import x from "./OverviewPage/DatasetOverview.vue.mjs";
import C from "./OverviewPage/CatalogueOverview.vue.mjs";
import { useIntersectionObserver as I } from "../../external/@vueuse/core/index";
import { getCurrentInstance as _, useTemplateRef as k, ref as D, resolveComponent as l, openBlock as o, createElementBlock as r, Fragment as L, createElementVNode as s, createTextVNode as n, toDisplayString as O, createVNode as V, createBlock as v, createCommentVNode as c, createStaticVNode as A } from "vue";
import "./OverviewPage.vue2.mjs";
import E from "../../_virtual/_plugin-vue_export-helper.mjs";
const P = {
  components: {
    LanguageSelector: b,
    DatasetOverview: x,
    CatalogueOverview: C
  },
  props: {
    property: {
      type: String
    },
    context: {
      type: Object
    }
  },
  data() {
    var a;
    return {
      instance: _().appContext.app.config.globalProperties.$env,
      dpiLocale: ((a = this.$route.query) == null ? void 0 : a.locale) || this.$i18n.locale || this.$i18n.fallbackLocale || "en"
    };
  },
  computed: {
    ...u("auth", [
      "getIsEditMode"
    ]),
    ...u("dpiStore", [
      "getData"
    ]),
    showDatasetsOverview() {
      return this.property === "datasets";
    },
    showCatalogsOverview() {
      return this.property === "catalogues";
    }
  },
  methods: {
    ...y("dpiStore", [
      "clearAll",
      "saveLocalstorageValues"
    ]),
    clear() {
      this.clearAll();
    },
    /*** Overview Page checker functionality ***/
    // checkDatasetMandatory() {
    //   if (!JSON.parse(localStorage.getItem('dpi_mandatory'))['datasets']) {
    //     this.$router.push({ 
    //       name: 'DataProviderInterface-Input', 
    //       params: { 
    //         property: 'datasets', 
    //         page: 'step1' 
    //       }, 
    //       query: { 
    //         error: 'mandatoryDataset', 
    //         locale: this.$route.query.locale 
    //       } 
    //     });
    //   }
    // },
    // checkDistributionMandatory() {
    //   if (!JSON.parse(localStorage.getItem('dpi_mandatory'))['distributions'].length > 0 && !JSON.parse(localStorage.getItem('dpi_mandatory'))['distributions'].every(el => el === true)) {
    //     this.$router.push({
    //       name: 'DataProviderInterface-Input',
    //       path: '/dpi/datasets/distoverview',
    //       params: {
    //         property: 'datasets',
    //         page: 'distoverview',
    //       },
    //       query: {
    //         error: 'mandatoryDistribution',
    //         locale: this.$route.query.locale
    //       },
    //     });
    //   }
    // },
    // checkCatalogueMandatory() {
    //   if (!JSON.parse(localStorage.getItem('dpi_mandatory'))['catalogues']) {
    //     this.$router.push({ 
    //       name: 'DataProviderInterface-Input', 
    //       params: { 
    //         property: 'catalogues', 
    //         page: 'step1' 
    //       }, 
    //       query: { 
    //         error: 'mandatoryCatalog', 
    //         locale: this.$route.query.locale
    //       } 
    //     });
    //   }
    // },
    checkID(a) {
      this.getIsEditMode || this.checkUniqueID(a).then((e) => {
        e || this.$router.push({
          name: "DataProviderInterface-Input",
          params: {
            property: a,
            page: "step1"
          },
          query: {
            error: "id",
            locale: this.$route.query.locale
          }
        });
      });
    },
    checkUniqueID(a) {
      return new Promise((e) => {
        if (this.getData(a)["@id"] !== "") {
          const i = `${this.$env.api.hubUrl}${a}/${this.getData(a)["@id"]}?useNormalizedId=true`;
          w.head(i).then(() => {
            e(!1);
          }).catch(() => {
            e(!0);
          });
        }
      });
    }
  },
  created() {
    this.$nextTick(() => {
      this.property, this.property;
    });
  },
  setup() {
    const a = k("overview-page"), e = D(!1);
    return I(
      a,
      ([{ isIntersecting: i }]) => {
        e.value = i;
      },
      {
        rootMargin: "999999px 999999px 999999px 999999px"
      }
    ), { overviewPageIsVisible: e };
  }
}, S = {
  ref: "overview-page",
  class: "col-12"
}, M = { class: "mt-5 mb-0" }, N = { class: "row" }, T = { class: "col-10" }, q = {
  key: 0,
  class: "mb-3"
}, B = {
  key: 1,
  class: "mb-3"
}, U = {
  key: 0,
  class: "legalnotice py-5",
  style: { width: "90%", margin: "0 auto" }
};
function $(a, e, i, p, t, d) {
  const m = l("LanguageSelector"), h = l("DatasetOverview"), g = l("CatalogueOverview");
  return o(), r(L, null, [
    s("div", S, [
      s("div", M, [
        s("div", N, [
          s("div", T, [
            n(O(a.$t("message.dataupload.info.selectDisplayLanguage")) + `:
          `, 1),
            V(m, {
              class: "ml-1",
              modelValue: t.dpiLocale,
              "onUpdate:modelValue": e[0] || (e[0] = (f) => t.dpiLocale = f)
            }, null, 8, ["modelValue"])
          ])
        ])
      ]),
      e[1] || (e[1] = n()),
      d.showDatasetsOverview && p.overviewPageIsVisible ? (o(), r("div", q, [
        (o(), v(h, {
          dpiLocale: t.dpiLocale,
          key: t.dpiLocale
        }, null, 8, ["dpiLocale"]))
      ])) : c("", !0),
      e[2] || (e[2] = n()),
      d.showCatalogsOverview && p.overviewPageIsVisible ? (o(), r("div", B, [
        (o(), v(g, {
          dpiLocale: t.dpiLocale,
          key: t.dpiLocale
        }, null, 8, ["dpiLocale"]))
      ])) : c("", !0)
    ], 512),
    e[4] || (e[4] = n()),
    t.instance.content.dataProviderInterface.annifIntegration ? (o(), r("div", U, e[3] || (e[3] = [
      A(`<div class="d-flex align-items-start" data-v-a416ae97><svg xmlns="http://www.w3.org/2000/svg" width="30px" height="30px" fill="currentColor" class="bi bi-info-circle mx-3 mb-3 mt-1 infoboxI" viewBox="0 0 16 16" data-v-a416ae97><path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16" data-v-a416ae97></path> <path d="m8.93 6.588-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533zM9 4.5a1 1 0 1 1-2 0 1 1 0 0 1 2 0" data-v-a416ae97></path></svg> <div class="w-80" data-v-a416ae97><p data-v-a416ae97>For <strong data-v-a416ae97>European</strong> <strong data-v-a416ae97>Commission&#39;s datasets</strong>, bear in mind that <a class="external-link" href="https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX:32011D0833" target="_blank" rel="nofollow noopener" data-v-a416ae97><ins data-v-a416ae97>Decision 2011/833/EU</ins></a> allows for their commercial
          reuse
          without prior authorisation, except for the material subject to the third party intellectual property rights.
          This
          Decision has been implemented under the <a class="external-link" href="https://ec.europa.eu/transparency/documents-register/detail?ref=C(2019)1655&amp;lang=en" target="_blank" rel="nofollow noopener" data-v-a416ae97><ins data-v-a416ae97>Decision C(2019) 1655 final</ins></a> by which Creative Commons
          Attribution 4.0
          International Public License (CC BY 4.0) is adopted as an open licence for the Commission&#39;s reuse policy.
          Additionally, raw data, metadata or other documents of comparable nature may alternatively be distributed
          under
          the provisions of the Creative Commons Universal Public Domain Dedication deed (CC0 1.0).</p> <p data-v-a416ae97>The <strong data-v-a416ae97>Council</strong> and the <strong data-v-a416ae97>European Court of Auditors</strong> have
          approved similar decisions on reuse. It is advisable that you check <strong data-v-a416ae97>the reuse policy of your
            organisation</strong> before publishing or submitting your dataset.</p></div></div> <div class="d-flex align-items-start mt-4" data-v-a416ae97><svg xmlns="http://www.w3.org/2000/svg" width="30px" height="30px" fill="currentColor" class="bi bi-info-circle mx-3 mb-3 mt-1 infoboxI" viewBox="0 0 16 16" data-v-a416ae97><path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16" data-v-a416ae97></path> <path d="m8.93 6.588-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533zM9 4.5a1 1 0 1 1-2 0 1 1 0 0 1 2 0" data-v-a416ae97></path></svg> <div class="w-80" data-v-a416ae97><p data-v-a416ae97>As owner of your dataset, you guarantee that it does not violate the copyright, other intellectual property
          or
          privacy rights of any third party. In particular, if third party material is included in the dataset, you must
          ensure that all necessary permissions have been obtained and appropriate acknowledgment is given, if
          necessary.
        </p> <p data-v-a416ae97>If you need further information regarding <strong data-v-a416ae97>licenses or copyright</strong> issues, please contact us
          at <span class="nobr" data-v-a416ae97><a class="external-link" href="mailto:op-copyright@publications.europa.eu" target="_blank" rel="nofollow noopener" data-v-a416ae97>op-copyright@publications.europa.eu</a></span></p></div></div>`, 3)
    ]))) : c("", !0)
  ], 64);
}
const K = /* @__PURE__ */ E(P, [["render", $], ["__scopeId", "data-v-a416ae97"]]);
export {
  K as default
};
//# sourceMappingURL=OverviewPage.vue.mjs.map
