import r from "jquery";
import { mapGetters as c, mapActions as g } from "vuex";
import { has as a, isNil as i, isArray as l, isObject as p, isString as d, isNumber as h } from "lodash-es";
import D from "../widgets/AppLink.vue.mjs";
import m from "../widgets/Tooltip.vue.mjs";
import f from "./distributions/Distributions.vue.mjs";
import y from "../filters/dateFilters.mjs";
import { getTranslationFor as o, appendCurrentLocaleToURL as b, getCountryFlagImg as w, truncate as $, replaceHttp as A } from "../utils/helpers.mjs";
import C from "../widgets/ResourceAccessPopup.vue.mjs";
import U from "./features/DatasetDetailsIsUsedBy.vue.mjs";
import x from "./DatasetDetailsSkeleton.vue.mjs";
import "@unhead/vue";
import "merge-anything";
import "../configurations/config-schema/apiSchema.mjs";
import "../configurations/config-schema/authenticationSchema.mjs";
import "../configurations/config-schema/contentSchema.mjs";
import "../configurations/config-schema/routingSchema.mjs";
import "../configurations/config-schema/metadataSchema.mjs";
import "../configurations/config-schema/languagesSchema.mjs";
import "../configurations/config-schema/themesSchema.mjs";
import "../configurations/config-schema/trackerSchema.mjs";
import "../configurations/config-schema/configSchema.mjs";
import "vue";
import "vue-router";
import "vue-i18n";
import { useDatasetDetailsDatasetHead as v } from "../composables/head/useDatasetDetailsDatasetHead.mjs";
const Y = {
  name: "datasetDetailsDataset",
  components: {
    DatasetDetailsSkeleton: x,
    DatasetDetailsExtendedMetaData: U,
    AppLink: D,
    Tooltip: m,
    Distributions: f,
    ResourceAccessPopup: C
  },
  props: {
    distributionVisibleContent: {
      type: Array,
      default: () => ["license", "licenseAttributionByText", "modificationDate"]
    },
    distributionExpandedContent: {
      type: Array,
      default: () => [
        "releaseDate",
        "language",
        "availability",
        "status",
        "rights",
        "mediaType",
        "byteSize",
        "checksum",
        "pages",
        "type",
        "compressFormat",
        "packageFormat",
        "hasPolicy",
        "conformsTo",
        "spatialResolutionInMeters",
        "temporalResolution"
      ]
    },
    showDatasetDescription: {
      type: Boolean,
      default: () => !0
    },
    showDatasetProperties: {
      type: Boolean,
      default: () => !0
    },
    showPublisher: {
      type: Boolean,
      default: () => !1
    },
    embed: {
      type: Boolean,
      default: () => !1
    }
  },
  data() {
    return {
      defaultLocale: this.$env.languages.locale,
      // has to be INITIAL_DATASET_DESCRIPTION_LENGTH
      isDatasetDescriptionExpanded: !1,
      loadingDatasetDetails: !1,
      machineTranslated: !1,
      translationNotAvailable: !1,
      expandedDistributions: [],
      expandedDistributionDescriptions: [],
      distributions: {
        displayAll: this.$env.content.datasetDetails.distributions.displayAll,
        displayCount: this.$env.content.datasetDetails.distributions.displayCount,
        incrementSteps: this.$env.content.datasetDetails.distributions.incrementSteps,
        descriptionMaxLines: this.$env.content.datasetDetails.distributions.descriptionMaxLines,
        descriptionMaxChars: this.$env.content.datasetDetails.distributions.descriptionMaxChars
      },
      pages: {
        isVisible: this.$env.content.datasetDetails.pages.isVisible,
        displayAll: this.$env.content.datasetDetails.pages.displayAll,
        displayCount: this.$env.content.datasetDetails.pages.displayCount,
        incrementSteps: this.$env.content.datasetDetails.pages.incrementSteps,
        descriptionMaxLines: this.$env.content.datasetDetails.pages.descriptionMaxLines,
        descriptionMaxChars: this.$env.content.datasetDetails.pages.descriptionMaxChars
      },
      showDescription: !0
    };
  },
  computed: {
    // import store-getters
    ...c("datasetDetails", [
      "getKeywords",
      "getAccessRights",
      "getAccrualPeriodicity",
      "getCatalog",
      "getContactPoints",
      "getDateIncorrect",
      "getDescription",
      "getDistributions",
      "getID",
      "getLanguages",
      "getLicences",
      "getModificationDate",
      "getOtherIdentifiers",
      "getPages",
      "getPublisher",
      "getReleaseDate",
      "getSpatial",
      "getTranslationMetaData",
      "getTitle"
    ]),
    dateIncorrect() {
      return this.getDateIncorrect;
    },
    displayedDistributions() {
      const t = [...this.getDistributions].sort((e, s) => o(e.title, this.$route.query.locale, this.getLanguages) < o(s.title, this.$route.query.locale, this.getLanguages) ? -1 : o(e.title, this.$route.query.locale, this.getLanguages) > o(s.title, this.$route.query.locale, this.getLanguages) ? 1 : 0);
      return this.distributions.displayAll ? Object.freeze(t) : Object.freeze(t.slice(0, this.distributions.displayCount));
    },
    isDistributionsAllDisplayed() {
      return this.distributions.displayCount === this.getDistributions.length;
    },
    remainingDistributions() {
      return this.getDistributions.length - this.distributions.displayCount;
    }
  },
  methods: {
    ...g("datasetDetails", [
      "loadDatasetDetails",
      "setLoading"
    ]),
    has: a,
    isNil: i,
    isArray: l,
    isObject: p,
    isString: d,
    isNumber: h,
    appendCurrentLocaleToURL: b,
    getTranslationFor: o,
    getCountryFlagImg: w,
    truncate: $,
    replaceHttp: A,
    initDatasetDetails() {
      this.piwikMetaPush(), setTimeout(() => {
        var t;
        typeof ((t = this.$piwik) == null ? void 0 : t.resume) == "function" && this.$piwik.resume();
      }, 500), this.$nextTick(() => {
        this.setTranslationBanners(), r('[data-toggle="tooltip"]').tooltip({
          container: "body"
        });
      });
    },
    setDistributionsDisplayCount(t) {
      this.distributions.displayCount = t;
    },
    openModal(t, e) {
      this.$refs.externalResourceModal.openModal(t, e);
    },
    previewLinkCallback(t) {
      return () => {
        this.$emit("track-link", this.getVisualisationLink(t), "link"), window.open(this.getVisualisationLink(t), "_blank");
      };
    },
    filterDateFormatEU(t) {
      return y.formatEU(t);
    },
    /* ABSTRACT SHOW FUNCTIONS */
    showString(t) {
      return !i(t) && d(t);
    },
    showNumber(t) {
      return !i(t) && h(t);
    },
    showObject(t) {
      return !i(t) && p(t) && !Object.values(t).reduce((e, s) => e && s === void 0, !0);
    },
    showArray(t) {
      return !i(t) && l(t) && t.length > 0;
    },
    showObjectArray(t) {
      return this.showArray(t) && !t.reduce((e, s) => e && Object.values(s).reduce((n, u) => n && u === void 0, !0), !0);
    },
    /* SPECIFIC SHOW FUNCTIONS */
    /* for now show all licences */
    showLicence(t) {
      return !0;
    },
    showLicensingAssistant(t) {
      return a(t, "licence.la_url") && this.showString(t.licence.la_url);
    },
    showDownloadDropdown(t) {
      return this.showAccessUrls(t) || this.showDownloadUrls(t);
    },
    isOnlyOneUrl(t) {
      return this.showAccessUrls(t) && !this.showDownloadUrls(t) || !this.showAccessUrls(t) && this.showDownloadUrls(t) && t.downloadUrls.length === 1;
    },
    getDownloadUrl(t) {
      let e;
      return this.showAccessUrls(t) && !this.showDownloadUrls(t) && (e = t.accessUrl[0]), !this.showAccessUrls(t) && this.showDownloadUrls(t) && t.downloadUrls.length === 1 && (e = t.downloadUrls[0]), e;
    },
    showAccessUrls(t) {
      return a(t, "accessUrl") && this.showArray(t.accessUrl);
    },
    showDownloadUrls(t) {
      return a(t, "downloadUrls") && this.showArray(t.downloadUrls);
    },
    showKeyword(t) {
      return a(t, "id") && a(t, "title") && !i(t.id) && !i(t.title);
    },
    /* GETTER / SETTER FUNCTIONS */
    setDatasetOriginalLanguage(t) {
      this.$i18n.locale = t;
    },
    distributionIsExpanded(t) {
      return setTimeout(() => {
        r('[data-toggle="tooltip"]').tooltip({
          container: "body"
        });
      }, 500), this.expandedDistributions.includes(t);
    },
    distributionDescriptionIsExpanded(t) {
      return this.expandedDistributionDescriptions.includes(t);
    },
    distributionDescriptionIsExpandable(t) {
      return i(t) ? !1 : t.length > this.distributions.descriptionMaxChars;
    },
    getDistributionFormat(t) {
      return a(t, "format.label") && !i(t.format.label) ? t.format.label : "";
    },
    distributionFormatTruncated(t) {
      return this.getDistributionFormat(t).length > 4;
    },
    getDistributionTitle(t) {
      return t.title ? o(t.title, this.$route.query.locale, this.getLanguages) : this.getID || "-";
    },
    getVisualisationLink(t) {
      const e = t.downloadUrls && t.downloadUrls.length ? t.downloadUrls[0] : t.accessUrl[0];
      return `/data/visualisation/?file=${encodeURIComponent(e)}`;
    },
    // getSubjectLink(subject) {
    //   return { path: `/datasets?subject=${subject.id}`, query: Object.assign({}, { locale: this.$route.query.locale }) };
    // },
    toggleDistribution(t) {
      const e = this.expandedDistributions.indexOf(t);
      e > -1 ? this.expandedDistributions.splice(e, 1) : this.expandedDistributions.push(t);
    },
    toggleDistributionDescription(t) {
      const e = this.expandedDistributionDescriptions.indexOf(t);
      e > -1 ? this.expandedDistributionDescriptions.splice(e, 1) : this.expandedDistributionDescriptions.push(t);
    },
    setTranslationBanners() {
      if (!this.$i18n)
        return;
      const t = this.getTranslationMetaData;
      !i(t.details) && a(t.details, this.$route.query.locale) ? this.machineTranslated = t.details[this.$route.query.locale].machine_translated : this.translationNotAvailable = !0;
    },
    // Emit a Matomo event when user clicks on 'go to resource' element
    trackGoto() {
      this.$piwik.trackGotoResource();
    },
    clamp(t, e, s) {
      return Math.min(Math.max(t, e), s);
    },
    // Increases the current number of distributions displayed
    // and clamps the result so that it never exceeds the number of all distributions.
    increaseNumDisplayedDistributions(t) {
      const e = this.clamp(this.distributions.displayCount + t, 0, this.getDistributions.length);
      this.distributions.displayCount = e;
    },
    nonOverflowingIncrementsForDistributions(t) {
      return this.distributions.displayCount + t <= this.getDistributions.length;
    },
    // Increases the current number of distributions displayed
    // and clamps the result so that it never exceeds the number of all distributions.
    increaseNumDisplayedPages(t) {
      const e = this.clamp(this.pages.displayCount + t, 0, this.getPages.length);
      this.pages.displayCount = e;
    },
    nonOverflowingIncrementsForPages(t) {
      return this.pages.displayCount + t <= this.getPages.length;
    },
    piwikMetaPush() {
      this.$piwik.trackDatasetDetailsPageView(null, null, {
        dataset_AccessRights: this.getAccessRights,
        dataset_AccrualPeriodicity: this.getAccrualPeriodicity,
        dataset_Catalog: this.getCatalog,
        // dataset_Categories: this.getCategories,
        // dataset_ConformsTo: this.getConformsTo,
        // dataset_ContactPoints: this.getContactPoints,
        // dataset_Country: this.getCountry,
        // dataset_Creator: this.getCreator,
        // dataset_Description: this.getDescription,
        // dataset_Distributions: this.getDistributions,
        // dataset_DistributionFormats: this.getDistributionFormats,
        // dataset_Documentations: this.getDocumentations,
        // dataset_Frequency: this.getFrequency,
        // dataset_HasVersion: this.getHasVersion,
        dataset_ID: this.getID,
        // dataset_Identifiers: this.getIdentifiers,
        // dataset_IdName: this.getIdName,
        // dataset_IsVersionOf: this.getIsVersionOf,
        // datest_Keywords: this.getKeywords,
        // dataset_LandingPages: this.getLandingPagesResource,
        // dataset_Languages: this.getLanguages,
        // dataset_Licences: this.getLicences,
        // dataset_Loading: this.getLoading,
        // dataset_ModificationDate: this.getModificationDate,
        // dataset_OriginalLanguage: this.getOriginalLanguage,
        // dataset_OtherIdentifiers: this.getOtherIdentifiers,
        // dataset_Pages: this.getPages,
        // dataset_Provenances: this.getProvenances,
        dataset_Publisher: this.getPublisher,
        // dataset_RelatedResources: this.getRelatedResources,
        // dataset_ReleaseDate: this.getReleaseDate,
        // dataset_Sources: this.getSources,
        // dataset_Spatial: this.getSpatial,
        // dataset_SpatialResource: this.getSpatialResource,
        // dataset_Temporal: this.getTemporal,
        dataset_Title: this.getTitle
        // dataset_TranslationMetaData: this.getTranslationMetaData,
        // dataset_VersionInfo: this.getVersionInfo,
        // dataset_VersionNotes: this.getVersionNotes,
      });
    },
    isUrlInvalid(t) {
      if (t)
        try {
          return !new RegExp("^((https?://(www.)?)([-a-zA-Z0-9@:%._+~#=]{1,256})([-a-zA-Z0-9()@:%_+.~#?&//=]*))$", "i").test(decodeURIComponent(t.split("=").pop()));
        } catch (e) {
          console.error(e);
        }
    },
    openIfValidUrl(t, e, s, n) {
      t ? this.openModal(e(s), !1) : (n.preventDefault(), n.stopPropagation());
    },
    showTooltipVisualiseButton(t) {
      return t ? this.$t("message.tooltip.invalidVisualise") : "";
    }
  },
  mounted() {
    this.$route.params.ds_id !== this.getID ? (this.$Progress.start(), this.loadingDatasetDetails = !0, this.loadDatasetDetails(this.$route.params.ds_id).then(() => {
      this.$Progress.finish(), this.loadingDatasetDetails = !1, this.initDatasetDetails();
    }).catch((s) => {
      var n;
      console.warn(s), this.$Progress.fail(), typeof ((n = this.$piwik) == null ? void 0 : n.resume) == "function" && this.$piwik.resume(), this.$router.replace({
        name: "NotFound",
        query: { locale: this.$route.query.locale, dataset: this.$route.params.ds_id }
      });
    }).finally(() => this.$root.$emit("contentLoaded"))) : (this.initDatasetDetails(), this.$root.$emit("contentLoaded"));
    const t = this.$env.content.datasetDetails && this.$env.content.datasetDetails.distributions;
    t && (this.distributions.displayAll = t.displayAll || this.distributions.displayAll, this.distributions.displayCount = parseInt(t.displayCount, 10) || this.distributions.displayCount, typeof t.incrementSteps == "string" && (t.incrementSteps = JSON.parse(t.incrementSteps)), this.distributions.incrementSteps = t.incrementSteps || this.distributions.incrementSteps), this.distributions.displayAll && (this.distributions.displayCount = this.getDistributions.length);
    const e = this.$env.content.datasetDetails && this.$env.content.datasetDetails.pages;
    e && (this.pages.displayAll = e.displayAll || this.pages.displayAll, this.pages.displayCount = parseInt(e.displayCount, 10) || this.pages.displayCount, typeof e.incrementSteps == "string" && (e.incrementSteps = JSON.parse(e.incrementSteps)), this.pages.incrementSteps = e.incrementSteps || this.pages.incrementSteps), this.pages.displayAll && (this.pages.displayCount = this.getPages.length);
  },
  beforeUnmount() {
    r(".tooltip").remove();
  },
  setup() {
    v();
  }
};
export {
  Y as default
};
//# sourceMappingURL=DatasetDetailsDataset.vue2.mjs.map
