import q from "jquery";
import { mapGetters as L, mapActions as S } from "vuex";
import { has as k } from "lodash-es";
import { getTranslationFor as A } from "../utils/helpers.mjs";
import "@unhead/vue";
import "merge-anything";
import "../configurations/config-schema/apiSchema.mjs";
import "../configurations/config-schema/authenticationSchema.mjs";
import "../configurations/config-schema/contentSchema.mjs";
import "../configurations/config-schema/routingSchema.mjs";
import "../configurations/config-schema/metadataSchema.mjs";
import "../configurations/config-schema/languagesSchema.mjs";
import "../configurations/config-schema/themesSchema.mjs";
import "../configurations/config-schema/trackerSchema.mjs";
import "../configurations/config-schema/configSchema.mjs";
import { resolveComponent as V, openBlock as s, createElementBlock as i, createElementVNode as a, toDisplayString as l, createTextVNode as d, Fragment as c, renderList as g, normalizeClass as h, createCommentVNode as p, createBlock as I } from "vue";
import "vue-router";
import "vue-i18n";
import { useDatasetDetailsQualityHead as x } from "../composables/head/useDatasetDetailsQualityHead.mjs";
import U from "./DatasetDetailsCSVLinter.vue.mjs";
import "./DatasetDetailsQuality.vue2.mjs";
import P from "../_virtual/_plugin-vue_export-helper.mjs";
const M = {
  name: "datasetDetailsCategories",
  components: {
    CSVLinter: U
  },
  data() {
    return {
      samplewidth: 20,
      isActive: !1,
      activeItem: -1,
      showLess: !0,
      isLoadingQualityData: !1,
      isLoadingQualityDistributionData: !1,
      enableCSVLinter: this.$env.content.datasetDetails.quality.csvLinter.enable,
      useDQVDataDropdown: this.$env.content.datasetDetails.quality.useDQVDataDropdown,
      useQualityData: this.$env.content.datasetDetails.quality.useQualityData,
      useQualityDistributionData: this.$env.content.datasetDetails.quality.useQualityDistributionData,
      formats: this.$env.content.datasetDetails.quality.formatsDQVData
    };
  },
  computed: {
    // import store-getters
    ...L("datasetDetails", [
      "getIsDQVDataRequested",
      "getQualityDataRequested",
      "getQualityData",
      "getQualityDistributionData",
      "getDistributions",
      "getID",
      "getModificationDate"
    ]),
    qualityDistributionValidation() {
      return this.getQualityDistributionData.result ? this.getQualityDistributionData.result.results.map((t) => {
        let f = t[0];
        return k(f, "validation") ? f.validation : {};
      }) : [];
    }
  },
  methods: {
    ...S("datasetDetails", [
      "loadDatasetDetails",
      "loadQualityData",
      "loadQualityDistributionData",
      "loadDQVData"
    ]),
    has: k,
    getTranslationFor: A,
    isAccessAndDownloadUrlStatusCodeAvailable(e, t) {
      return e === "accessUrlStatusCode" && typeof t != "object" && t.length !== 0 || e === "downloadUrlStatusCode" && typeof t != "object" && t.length !== 0;
    },
    clickHandler(e) {
      this.activeItem > -1 ? this.activeItem = -1 : this.activeItem = e;
    },
    scrollToElement(e) {
      document.getElementById(e).scrollIntoView(!0);
    },
    checkDistributionValidation() {
      let e = this.$route.query.validate;
      document.getElementById(e) && this.scrollToElement(e);
    },
    showCSVLinter(e, t) {
      let f = this.getDistributions.filter((b) => b.id === t), w = f.length > 0 ? f[0].format.id === "CSV" : !1;
      return this.qualityDistributionValidation[e] && w;
    }
  },
  created() {
    this.$nextTick(() => {
      this.$route.params.ds_id !== this.getID && (this.$Progress.start(), this.loadDatasetDetails(this.$route.params.ds_id).then(() => {
        this.$Progress.finish(), q('[data-toggle="tooltip"]').tooltip({
          container: "body"
        });
      }).catch(() => {
        this.$Progress.fail(), this.$router.replace({
          name: "NotFound",
          query: { locale: this.$route.query.locale, dataset: this.$route.params.ds_id }
        });
      })), this.$route.params.ds_id !== this.getQualityDataRequested && (this.useQualityData && (this.$Progress.start(), this.isLoadingQualityData = !0, this.loadQualityData(this.$route.params.ds_id).then(() => {
        this.$Progress.finish(), this.isLoadingQualityData = !1;
      }).catch(() => {
        this.$Progress.fail(), this.isLoadingQualityData = !1;
      })), this.useQualityDistributionData && (this.$Progress.start(), this.isLoadingQualityDistributionData = !0, this.loadQualityDistributionData(this.$route.params.ds_id).then(() => {
        this.$Progress.finish(), this.isLoadingQualityDistributionData = !1, this.checkDistributionValidation();
      }).catch(() => {
        this.$Progress.fail(), this.isLoadingQualityDistributionData = !1;
      }))), this.$route.params.ds_id !== this.getIsDQVDataRequested && this.useDQVDataDropdown && (this.$Progress.start(), this.loadDQVData({ id: this.$route.params.ds_id, formats: this.formats, locale: this.$route.query.locale }).then(() => {
        this.$Progress.finish(), q('[data-toggle="tooltip"]').tooltip({
          container: "body"
        });
      }).catch(() => {
        this.$Progress.fail();
      }));
    });
  },
  mounted() {
    q('[data-toggle="tooltip"]').tooltip({
      container: "body"
    });
  },
  setup() {
    x();
  }
}, B = { class: "mt-3 dsd-quality-container" }, H = { class: "row" }, T = {
  key: 0,
  class: "col-10 offset-1"
}, E = { class: "dsd-quality-header" }, F = { class: "dsd-quality-description markdown-content" }, N = ["innerHTML"], R = {
  key: 0,
  class: "dsd-mq-cards space card-columns"
}, j = { class: "card-header card-title text-center" }, O = { class: "dsd-mq-card-list list-group list-group-flush" }, z = { class: "dsd-mq-card-list-item row key-row" }, G = { key: 0 }, J = ["title"], K = { key: 1 }, Y = ["title"], W = { key: 2 }, X = ["title"], Z = {
  key: 0,
  class: "col-auto text-right"
}, tt = {
  key: 1,
  class: "col-auto text-right"
}, st = { class: "access-space values-container" }, it = { class: "row" }, at = { class: "col-auto" }, et = { class: "col text-right" }, ot = { class: "access-percentage" }, dt = {
  key: 2,
  class: "col-auto text-right"
}, lt = { class: "access-space" }, nt = { class: "row" }, rt = { class: "col-auto" }, ut = { class: "col text-right" }, ct = { class: "access-percentage" }, gt = {
  key: 3,
  class: "col-auto text-right"
}, mt = {
  key: 4,
  class: "col-auto text-right"
}, ht = {
  key: 5,
  class: "col-auto text-right"
}, yt = {
  key: 6,
  class: "col-auto text-right dataset-space"
}, pt = { key: 0 }, bt = {
  key: 7,
  class: "col-auto text-right"
}, Dt = {
  key: 8,
  class: "col-auto text-right"
}, vt = { class: "dataset-space" }, _t = {
  key: 9,
  class: "col-auto text-right dataset-space"
}, $t = { key: 0 }, ft = { key: 1 }, qt = {
  key: 10,
  class: "col-auto text-right dataset-space"
}, wt = { key: 0 }, kt = { key: 1 }, Qt = { class: "dsd-quality-header mt-5" }, Ct = { class: "dsd-quality-description markdown-content" }, Lt = ["innerHTML"], St = {
  key: 1,
  id: "YEAH"
}, At = {
  key: 0,
  id: "accordion",
  class: "dsd-dq-cards space"
}, Vt = ["onClick", "data-target", "aria-controls"], It = { class: "mb-0" }, xt = { class: "row dist" }, Ut = { class: "col-10" }, Pt = { class: "dist-head" }, Mt = { class: "col-2" }, Bt = ["id", "aria-labelledby"], Ht = { class: "dsd-dq-card-body card-body dist-content" }, Tt = {
  key: 0,
  class: "dsd-dq-dimension col-12 space move"
}, Et = { class: "dimension-headline" }, Ft = { class: "dsd-dq-dimension-items row" }, Nt = { class: "dsd-dq-dimenison-items-left col-md-6" }, Rt = { class: "keys" }, jt = { class: "row" }, Ot = {
  key: 0,
  class: "dsd-dq-dimension-item-title"
}, zt = {
  key: 1,
  class: "dsd-dq-dimension-item-title"
}, Gt = {
  key: 0,
  class: "col-auto text-right"
}, Jt = {
  key: 1,
  class: "col-auto text-right"
}, Kt = {
  key: 2,
  class: "col-auto text-right"
}, Yt = {
  class: /* @__PURE__ */ h("badge-yes")
}, Wt = {
  key: 3,
  class: "col-auto text-right"
}, Xt = { class: "col-md-6" }, Zt = { class: "keys" }, ts = { class: "row" }, ss = {
  key: 0,
  class: "dsd-dq-dimension-item-title"
}, is = {
  key: 1,
  class: "dsd-dq-dimension-item-title"
}, as = {
  key: 0,
  class: "col-auto text-right"
}, es = {
  key: 1,
  class: "col-auto text-right"
}, os = {
  key: 2,
  class: "col-auto text-right"
}, ds = {
  class: /* @__PURE__ */ h("badge-yes")
}, ls = {
  key: 3,
  class: "col-auto text-right"
}, ns = { class: "row accordion-body" }, rs = { class: "col-12" }, us = {
  key: 0,
  class: "col-12 text-center"
}, cs = {
  key: 1,
  id: "accordion",
  class: "dsd-dq-cards space"
}, gs = ["data-target", "aria-controls", "onClick"], ms = { class: "mb-0" }, hs = { class: "row dist" }, ys = { class: "col-10" }, ps = { class: "dist-head" }, bs = { class: "col-2" }, Ds = ["id", "aria-labelledby"], vs = { class: "dsd-dq-card-body card-body dist-content" }, _s = {
  key: 0,
  class: "dsd-dq-dimension col-12 space move"
}, $s = { class: "dimension-headline" }, fs = { class: "dsd-dq-dimension-items row" }, qs = { class: "dsd-dq-dimenison-items-left col-md-6" }, ws = { class: "keys" }, ks = { class: "row" }, Qs = {
  key: 0,
  class: "dsd-dq-dimension-item-title"
}, Cs = {
  key: 1,
  class: "dsd-dq-dimension-item-title"
}, Ls = {
  key: 0,
  class: "col-auto text-right"
}, Ss = {
  key: 1,
  class: "col-auto text-right"
}, As = {
  key: 2,
  class: "col-auto text-right"
}, Vs = {
  class: /* @__PURE__ */ h("badge-yes")
}, Is = {
  key: 3,
  class: "col-auto text-right"
}, xs = { class: "col-md-6" }, Us = { class: "keys" }, Ps = { class: "row" }, Ms = {
  key: 0,
  class: "dsd-dq-dimension-item-title"
}, Bs = {
  key: 1,
  class: "dsd-dq-dimension-item-title"
}, Hs = {
  key: 0,
  class: "col-auto text-right"
}, Ts = {
  key: 1,
  class: "col-auto text-right"
}, Es = {
  key: 2,
  class: "col-auto text-right"
}, Fs = {
  class: /* @__PURE__ */ h("badge-yes")
}, Ns = {
  key: 3,
  class: "col-auto text-right"
}, Rs = { class: "col-12 text-center" }, js = {
  key: 1,
  class: "loading-spinner mx-auto mb-4"
}, Os = {
  key: 2,
  class: "col-10 offset-1 no-quality-data"
}, zs = { class: "no-qualitiy-data alert alert-secondary" };
function Gs(e, t, f, w, b, _) {
  const Q = V("CSVLinter");
  return s(), i("div", B, [
    a("div", H, [
      e.getQualityData.result && e.getQualityDistributionData.result ? (s(), i("div", T, [
        a("h2", E, l(e.$t("message.header.navigation.data.metadataquality")), 1),
        t[49] || (t[49] = d()),
        a("div", F, [
          a("p", {
            innerHTML: e.$t("message.datasetDetails.intro.metadataQuality", { locale: e.$route.query.locale })
          }, null, 8, N)
        ]),
        t[50] || (t[50] = d()),
        e.getQualityData.result ? (s(), i("div", R, [
          (s(!0), i(c, null, g(e.getQualityData.result.results[0], (y, m) => (s(), i("div", {
            class: "dsd-mq-card",
            key: `A-${m}`
          }, [
            m != "info" && m != "validation" ? (s(), i("div", {
              key: 0,
              class: h(`dimension-card card dimension-${m}`)
            }, [
              a("div", j, [
                a("h3", null, l(e.$t(`message.datasetDetails.quality.${m}`)), 1)
              ]),
              t[17] || (t[17] = d()),
              a("ul", O, [
                (s(!0), i(c, null, g(y, (D, v) => (s(), i("li", {
                  class: "dsd-mq-card-list-item list-group-item",
                  key: `B-${v}`
                }, [
                  a("div", z, [
                    (s(!0), i(c, null, g(D, (u, r) => (s(), i("div", {
                      class: "dsd-mq-card-list-item-left col",
                      key: `C-${r}`
                    }, [
                      r == "dataset" ? (s(), i("div", G, [
                        (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                          key: `D-${o}`
                        }, [
                          (s(!0), i(c, null, g(n, (C, $) => (s(), i("div", {
                            class: "dataset-space",
                            key: `E-${$}`
                          }, [
                            a("i", {
                              class: "dsd-mq-card-info-icon material-icons align-text-bottom small-icon has-tooltip",
                              "data-toggle": "tooltip",
                              "data-placement": "right",
                              "data-html": "true",
                              title: e.$t(`message.tooltip.quality.${$}`)
                            }, `
                              info_outline
                            `, 8, J),
                            d(" " + l(e.$t("message.header.navigation.data.datasets")) + ": " + l(e.$t(`message.datasetDetails.quality.${$}`)), 1)
                          ]))), 128))
                        ]))), 128))
                      ])) : r == "distributions" ? (s(), i("div", K, [
                        (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                          key: `F-${o}`
                        }, [
                          (s(!0), i(c, null, g(n, (C, $) => (s(), i("div", {
                            class: "dataset-space",
                            key: `H-${$}`
                          }, [
                            a("i", {
                              class: "dsd-mq-card-info-icon material-icons align-text-bottom small-icon has-tooltip",
                              "data-toggle": "tooltip",
                              "data-placement": "right",
                              "data-html": "true",
                              title: e.$t(`message.tooltip.quality.${$}`)
                            }, `
                              info_outline
                            `, 8, Y),
                            d(" " + l(e.$t("message.metadata.distributions")) + ": " + l(e.$t(`message.datasetDetails.quality.${$}`)), 1)
                          ]))), 128))
                        ]))), 128))
                      ])) : (s(), i("span", W, [
                        a("i", {
                          class: "dsd-mq-card-info-icon material-icons align-text-bottom small-icon has-tooltip",
                          "data-toggle": "tooltip",
                          "data-placement": "right",
                          "data-html": "true",
                          title: e.$t(`message.tooltip.quality.${r}`)
                        }, `
                            info_outline
                          `, 8, X),
                        d(" " + l(e.$t(`message.datasetDetails.quality.${r}`)), 1)
                      ]))
                    ]))), 128)),
                    t[16] || (t[16] = d()),
                    (s(!0), i(c, null, g(D, (u, r) => (s(), i("div", {
                      class: "dsd-mq-card-list-item-right",
                      key: `I-${r}`
                    }, [
                      u.length == 0 ? (s(), i("div", Z, t[2] || (t[2] = [
                        a("span", { class: "badge-no" }, "n/a", -1)
                      ]))) : r == "accessUrlStatusCode" ? (s(), i("div", tt, [
                        (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                          key: `J-${o}`
                        }, [
                          a("div", st, [
                            a("div", it, [
                              a("div", at, [
                                a("span", {
                                  class: h(`badge-yes-${m}`)
                                }, l(n.name), 3)
                              ]),
                              t[3] || (t[3] = d()),
                              a("div", et, [
                                a("span", ot, l(n.percentage) + " %", 1)
                              ])
                            ])
                          ])
                        ]))), 128))
                      ])) : r == "downloadUrlStatusCode" ? (s(), i("div", dt, [
                        (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                          key: `K-${o}`
                        }, [
                          a("div", lt, [
                            a("div", nt, [
                              a("div", rt, [
                                a("span", {
                                  class: h(`badge-yes-${m}`)
                                }, l(n.name), 3)
                              ]),
                              t[4] || (t[4] = d()),
                              a("div", ut, [
                                a("span", ct, l(n.percentage) + " %", 1)
                              ])
                            ])
                          ])
                        ]))), 128))
                      ])) : r != "dataset" && r != "distributions" && u == !1 ? (s(), i("div", gt, t[5] || (t[5] = [
                        a("span", { class: "badge-no" }, "no", -1)
                      ]))) : r != "dataset" && r != "distributions" && u == !0 ? (s(), i("div", mt, [
                        a("span", {
                          class: h(`badge-yes-${m}`)
                        }, "yes", 2)
                      ])) : p("", !0),
                      t[10] || (t[10] = d()),
                      r != "dataset" && r != "distributions" && r != "accessUrlStatusCode" && u.length == 2 ? (s(), i("div", ht, l(u[0].percentage) + " %", 1)) : p("", !0),
                      t[11] || (t[11] = d()),
                      r == "dataset" ? (s(), i("div", yt, [
                        e.getModificationDate && e.getModificationDate.length == 0 ? (s(), i("span", pt, t[6] || (t[6] = [
                          a("span", { class: "badge-n-a" }, "n/a", -1)
                        ]))) : (s(), i("span", {
                          key: 1,
                          class: h(`badge-yes-${m}`)
                        }, "yes", 2))
                      ])) : p("", !0),
                      t[12] || (t[12] = d()),
                      r == "dataset" && u[1].dateIssuedAvailability == !1 ? (s(), i("div", bt, t[7] || (t[7] = [
                        a("div", { class: "dataset-space" }, [
                          a("span", { class: "badge-no" }, "no")
                        ], -1)
                      ]))) : p("", !0),
                      t[13] || (t[13] = d()),
                      r == "dataset" && u[1].dateIssuedAvailability == !0 ? (s(), i("div", Dt, [
                        a("div", vt, [
                          a("span", {
                            class: h(`badge-yes-${m}`)
                          }, "yes", 2)
                        ])
                      ])) : p("", !0),
                      t[14] || (t[14] = d()),
                      r == "distributions" ? (s(), i("div", _t, [
                        Object.keys(u[0].dateModifiedAvailability).length == 0 ? (s(), i("span", $t, t[8] || (t[8] = [
                          a("span", { class: "badge-n-a" }, "n/a", -1)
                        ]))) : (s(), i("span", ft, l(u[0].dateModifiedAvailability[0].percentage) + " %", 1))
                      ])) : p("", !0),
                      t[15] || (t[15] = d()),
                      r == "distributions" ? (s(), i("div", qt, [
                        Object.keys(u[1].dateIssuedAvailability).length == 0 ? (s(), i("span", wt, t[9] || (t[9] = [
                          a("span", { class: "badge-n-a" }, "n/a", -1)
                        ]))) : (s(), i("span", kt, l(u[1].dateIssuedAvailability[0].percentage) + " %", 1))
                      ])) : p("", !0)
                    ]))), 128))
                  ])
                ]))), 128))
              ])
            ], 2)) : p("", !0)
          ]))), 128))
        ])) : p("", !0),
        t[51] || (t[51] = d()),
        a("h2", Qt, l(e.$t("message.datasetDetails.quality.distributionQuality")), 1),
        t[52] || (t[52] = d()),
        a("div", Ct, [
          a("p", {
            innerHTML: e.$t("message.datasetDetails.intro.distribution", { locale: e.$route.query.locale })
          }, null, 8, Lt)
        ]),
        t[53] || (t[53] = d()),
        e.getQualityDistributionData.result ? (s(), i("div", St, [
          b.showLess ? (s(), i("div", At, [
            (s(!0), i(c, null, g(e.getQualityDistributionData.result.results, (y, m) => (s(), i("div", {
              class: "dsd-dq-card card",
              key: `B-${m}`
            }, [
              a("div", {
                class: "card-header distribution",
                id: "headingFirst",
                onClick: (D) => _.clickHandler(m),
                "data-toggle": "collapse",
                "data-target": `#${y[0].info["distribution-id"]}`,
                "aria-expanded": "false",
                "aria-controls": `#${y[0].info["distribution-id"]}`
              }, [
                a("h3", It, [
                  a("div", xt, [
                    a("div", Ut, [
                      a("div", Pt, l(y[0].info["distribution-title"]), 1)
                    ]),
                    t[19] || (t[19] = d()),
                    a("div", Mt, [
                      a("div", {
                        class: h(["float-right small-arrow", { active: m === b.activeItem }])
                      }, t[18] || (t[18] = [
                        a("svg", {
                          width: "12px",
                          height: "12px",
                          viewBox: "0 0 16 16",
                          class: "bi bi-chevron-down text-light",
                          fill: "currentColor",
                          xmlns: "http://www.w3.org/2000/svg"
                        }, [
                          a("path", {
                            "fill-rule": "evenodd",
                            d: "M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"
                          })
                        ], -1)
                      ]), 2)
                    ])
                  ])
                ])
              ], 8, Vt),
              t[31] || (t[31] = d()),
              a("div", {
                id: `${y[0].info["distribution-id"]}`,
                class: "collapse",
                "aria-labelledby": `${y[0].info["distribution-id"]}`,
                "data-parent": "#accordion"
              }, [
                a("div", Ht, [
                  (s(!0), i(c, null, g(y[0], (D, v) => (s(), i("div", {
                    class: "row",
                    key: `N-${v}`
                  }, [
                    v != "info" && v != "validation" ? (s(), i("div", Tt, [
                      a("div", Et, l(e.$t(`message.datasetDetails.quality.${v}`)), 1),
                      t[29] || (t[29] = d()),
                      a("div", Ft, [
                        a("div", Nt, [
                          a("ul", Rt, [
                            (s(!0), i(c, null, g(D.slice(0, 2), (u, r) => (s(), i("li", {
                              class: "list-group-item keys",
                              key: `O-${r}`
                            }, [
                              a("div", jt, [
                                (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                                  class: "col",
                                  key: `P-${o}`
                                }, [
                                  o == "accessUrlStatusCode" || o == "downloadUrlStatusCode" ? (s(), i("span", Ot, l(e.$t(`message.datasetDetails.quality.distributions.${o}`)), 1)) : (s(), i("span", zt, l(e.$t(`message.datasetDetails.quality.${o}`)), 1))
                                ]))), 128)),
                                t[23] || (t[23] = d()),
                                (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                                  key: `Q-${o}`
                                }, [
                                  n == !1 ? (s(), i("div", Gt, t[20] || (t[20] = [
                                    a("span", { class: "badge-no" }, "no", -1)
                                  ]))) : n == !0 ? (s(), i("div", Jt, t[21] || (t[21] = [
                                    a("span", {
                                      class: h("badge-yes")
                                    }, "yes", -1)
                                  ]))) : _.isAccessAndDownloadUrlStatusCodeAvailable(o, n) ? (s(), i("div", Kt, [
                                    a("span", Yt, l(n), 1)
                                  ])) : (s(), i("div", Wt, t[22] || (t[22] = [
                                    a("span", {
                                      class: h("badge-n-a")
                                    }, "n/a", -1)
                                  ])))
                                ]))), 128))
                              ])
                            ]))), 128))
                          ])
                        ]),
                        t[28] || (t[28] = d()),
                        a("div", Xt, [
                          a("ul", Zt, [
                            (s(!0), i(c, null, g(D.slice(2), (u, r) => (s(), i("li", {
                              class: "list-group-item keys",
                              key: `S-${r}`
                            }, [
                              a("div", ts, [
                                (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                                  class: "col",
                                  key: `R-${o}`
                                }, [
                                  o == "accessUrlStatusCode" || o == "downloadUrlStatusCode" ? (s(), i("span", ss, l(e.$t(`message.datasetDetails.quality.distributions.${o}`)), 1)) : (s(), i("span", is, l(e.$t(`message.datasetDetails.quality.${o}`)), 1))
                                ]))), 128)),
                                t[27] || (t[27] = d()),
                                (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                                  key: `t-${o}`
                                }, [
                                  n == !1 ? (s(), i("div", as, t[24] || (t[24] = [
                                    a("span", { class: "badge-no" }, "no", -1)
                                  ]))) : n == !0 ? (s(), i("div", es, t[25] || (t[25] = [
                                    a("span", {
                                      class: h("badge-yes")
                                    }, "yes", -1)
                                  ]))) : _.isAccessAndDownloadUrlStatusCodeAvailable(o, n) ? (s(), i("div", os, [
                                    a("span", ds, l(n), 1)
                                  ])) : (s(), i("div", ls, t[26] || (t[26] = [
                                    a("span", {
                                      class: h("badge-n-a")
                                    }, "n/a", -1)
                                  ])))
                                ]))), 128))
                              ])
                            ]))), 128))
                          ])
                        ])
                      ])
                    ])) : p("", !0)
                  ]))), 128)),
                  t[30] || (t[30] = d()),
                  a("div", ns, [
                    a("div", rs, [
                      b.enableCSVLinter && _.showCSVLinter(m, y[0].info["distribution-id"]) ? (s(), I(Q, {
                        key: 0,
                        validation: _.qualityDistributionValidation[m]
                      }, null, 8, ["validation"])) : p("", !0)
                    ])
                  ])
                ])
              ], 8, Bt)
            ]))), 128)),
            t[33] || (t[33] = d()),
            e.getQualityDistributionData.result.count >= 6 ? (s(), i("div", us, [
              a("button", {
                class: "btn btn-light mt-3 text-center",
                onClick: t[0] || (t[0] = (y) => b.showLess = !1)
              }, [
                d(l(e.$t("message.metadata.showMore")) + " ", 1),
                t[32] || (t[32] = a("i", { class: "material-icons align-middle small-icon" }, "keyboard_arrow_down", -1))
              ])
            ])) : p("", !0)
          ])) : (s(), i("div", cs, [
            (s(!0), i(c, null, g(e.getQualityDistributionData.result.results, (y, m) => (s(), i("div", {
              class: "dsd-dq-card card",
              key: `B-${m}`
            }, [
              a("div", {
                class: "card-header distribution",
                id: "headingFirst",
                "data-toggle": "collapse",
                "data-target": `#${y[0].info["distribution-id"]}`,
                "aria-expanded": "false",
                "aria-controls": `#${y[0].info["distribution-id"]}`,
                onClick: (D) => _.clickHandler(m)
              }, [
                a("h3", ms, [
                  a("div", hs, [
                    a("div", ys, [
                      a("div", ps, l(y[0].info["distribution-title"]), 1)
                    ]),
                    t[35] || (t[35] = d()),
                    a("div", bs, [
                      a("div", {
                        class: h(["float-right small-arrow", { active: m === b.activeItem }])
                      }, t[34] || (t[34] = [
                        a("svg", {
                          width: "12px",
                          height: "12px",
                          viewBox: "0 0 16 16",
                          class: "bi bi-chevron-down text-light",
                          fill: "currentColor",
                          xmlns: "http://www.w3.org/2000/svg"
                        }, [
                          a("path", {
                            "fill-rule": "evenodd",
                            d: "M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"
                          })
                        ], -1)
                      ]), 2)
                    ])
                  ])
                ])
              ], 8, gs),
              t[46] || (t[46] = d()),
              a("div", {
                id: `${y[0].info["distribution-id"]}`,
                class: "collapse",
                "aria-labelledby": `${y[0].info["distribution-id"]}`,
                "data-parent": "#accordion"
              }, [
                a("div", vs, [
                  (s(!0), i(c, null, g(y[0], (D, v) => (s(), i("div", {
                    class: "row",
                    key: `N-${v}`
                  }, [
                    v != "info" ? (s(), i("div", _s, [
                      a("div", $s, l(e.$t(`message.datasetDetails.quality.${v}`)), 1),
                      t[45] || (t[45] = d()),
                      a("div", fs, [
                        a("div", qs, [
                          a("ul", ws, [
                            (s(!0), i(c, null, g(D.slice(0, 2), (u, r) => (s(), i("li", {
                              class: "list-group-item keys",
                              key: `O-${r}`
                            }, [
                              a("div", ks, [
                                (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                                  class: "col",
                                  key: `P-${o}`
                                }, [
                                  o == "accessUrlStatusCode" || o == "downloadUrlStatusCode" ? (s(), i("span", Qs, l(e.$t(`message.datasetDetails.quality.distributions.${o}`)), 1)) : (s(), i("span", Cs, l(e.$t(`message.datasetDetails.quality.${o}`)), 1))
                                ]))), 128)),
                                t[39] || (t[39] = d()),
                                (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                                  key: `Q-${o}`
                                }, [
                                  n == !1 ? (s(), i("div", Ls, t[36] || (t[36] = [
                                    a("span", { class: "badge-no" }, "no", -1)
                                  ]))) : n == !0 ? (s(), i("div", Ss, t[37] || (t[37] = [
                                    a("span", {
                                      class: h("badge-yes")
                                    }, "yes", -1)
                                  ]))) : _.isAccessAndDownloadUrlStatusCodeAvailable(o, n) ? (s(), i("div", As, [
                                    a("span", Vs, l(n), 1)
                                  ])) : (s(), i("div", Is, t[38] || (t[38] = [
                                    a("span", {
                                      class: h("badge-n-a")
                                    }, "n/a", -1)
                                  ])))
                                ]))), 128))
                              ])
                            ]))), 128))
                          ])
                        ]),
                        t[44] || (t[44] = d()),
                        a("div", xs, [
                          a("ul", Us, [
                            (s(!0), i(c, null, g(D.slice(2), (u, r) => (s(), i("li", {
                              class: "list-group-item keys",
                              key: `S-${r}`
                            }, [
                              a("div", Ps, [
                                (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                                  class: "col",
                                  key: `R-${o}`
                                }, [
                                  o == "accessUrlStatusCode" || o == "downloadUrlStatusCode" ? (s(), i("span", Ms, l(e.$t(`message.datasetDetails.quality.distributions.${o}`)), 1)) : (s(), i("span", Bs, l(e.$t(`message.datasetDetails.quality.${o}`)), 1))
                                ]))), 128)),
                                t[43] || (t[43] = d()),
                                (s(!0), i(c, null, g(u, (n, o) => (s(), i("div", {
                                  key: `t-${o}`
                                }, [
                                  n == !1 ? (s(), i("div", Hs, t[40] || (t[40] = [
                                    a("span", { class: "badge-no" }, "no", -1)
                                  ]))) : n == !0 ? (s(), i("div", Ts, t[41] || (t[41] = [
                                    a("span", {
                                      class: h("badge-yes")
                                    }, "yes", -1)
                                  ]))) : _.isAccessAndDownloadUrlStatusCodeAvailable(o, n) ? (s(), i("div", Es, [
                                    a("span", Fs, l(n), 1)
                                  ])) : (s(), i("div", Ns, t[42] || (t[42] = [
                                    a("span", {
                                      class: h("badge-n-a")
                                    }, "n/a", -1)
                                  ])))
                                ]))), 128))
                              ])
                            ]))), 128))
                          ])
                        ])
                      ])
                    ])) : p("", !0)
                  ]))), 128))
                ])
              ], 8, Ds)
            ]))), 128)),
            t[48] || (t[48] = d()),
            a("div", Rs, [
              a("button", {
                class: "btn btn-light mt-3 text-center",
                onClick: t[1] || (t[1] = (y) => b.showLess = !0)
              }, [
                d(l(e.$t("message.metadata.showLess")) + " ", 1),
                t[47] || (t[47] = a("i", { class: "material-icons align-middle small-icon" }, "keyboard_arrow_up", -1))
              ])
            ])
          ]))
        ])) : p("", !0)
      ])) : b.isLoadingQualityData || b.isLoadingQualityDistributionData ? (s(), i("div", js)) : (s(), i("div", Os, [
        a("div", zs, [
          t[54] || (t[54] = a("i", { class: "fas fa-exclamation-circle" }, null, -1)),
          d(" " + l(e.$t("message.datasetDetails.quality.nodata")), 1)
        ])
      ])),
      t[55] || (t[55] = d()),
      t[56] || (t[56] = a("div", { class: "space" }, null, -1))
    ])
  ]);
}
const pi = /* @__PURE__ */ P(M, [["render", Gs], ["__scopeId", "data-v-ebd15a12"]]);
export {
  pi as default
};
//# sourceMappingURL=DatasetDetailsQuality.vue.mjs.map
