import g from "../../../widgets/AppLink.vue.mjs";
import { has as n, isNil as i } from "lodash-es";
import { mapGetters as k } from "vuex";
import { openBlock as r, createElementBlock as c, toDisplayString as m } from "vue";
import "./DistributionVisualizeButton.vue2.mjs";
import p from "../../../_virtual/_plugin-vue_export-helper.mjs";
const d = {
  name: "DistributionVisualizeButton",
  components: {
    AppLink: g
  },
  props: [
    "showTooltipVisualiseButton",
    "isUrlInvalid",
    "getVisualisationLink",
    "distribution",
    "openIfValidUrl",
    "previewLinkCallback"
  ],
  data() {
    var e, t, s, a;
    return {
      showVisualisationButton: (e = this.$env.content.datasetDetails.distributions) == null ? void 0 : e.showVisualisation,
      visualisationLinkFormats: [
        "csv",
        "tsv",
        "ods",
        "xlsx",
        "xls"
      ],
      geoLinkFormats: {
        wms: "WMS",
        geojson: "GeoJSON",
        fiware_cb: "fiware_cb",
        "fiware-cb": "fiware_cb"
      },
      geoLink: (a = (s = (t = this.$env) == null ? void 0 : t.datasetDetails) == null ? void 0 : s.distributions) == null ? void 0 : a.geoLink
    };
  },
  computed: {
    ...k("datasetDetails", [
      "getCatalog",
      "getID"
    ]),
    getGeoLink() {
      var s;
      let t = this.distribution.format.label.toLowerCase();
      if (t = this.geoLinkFormats[t], this.geoLink) {
        const a = {
          catalog: this.getCatalog.id,
          dataset: this.getID,
          distribution: this.distribution.id,
          type: t,
          lang: this.$route.query.locale,
          accessUrl: (s = this.distribution) == null ? void 0 : s.accessUrl[0]
        };
        for (let o in a)
          this.geoLink = this.geoLink.replace(`{${o}}`, a[o]);
        return this.geoLink;
      }
      return `/geo-viewer/?catalog=${this.getCatalog.id}&dataset=${this.getID}&distribution=${this.distribution.id}&type=${t}&lang=${this.$route.query.locale}`;
    }
  },
  methods: {
    showGeoLink(e) {
      if (!n(e, "format.label") || i(e.format.label) || !n(e, "id") || i(e.id) || !n(e, "accessUrl[0]"))
        return !1;
      const t = e.format.label.toLowerCase();
      return Object.keys(this.geoLinkFormats).includes(t);
    },
    showVisualisationLink(e) {
      var s, a, o;
      if (!n(e, "format.label") || i((s = e == null ? void 0 : e.format) == null ? void 0 : s.label) || i(e == null ? void 0 : e.downloadUrls[0]) && i(e == null ? void 0 : e.accessUrl[0]))
        return !1;
      const t = (o = (a = e == null ? void 0 : e.format) == null ? void 0 : a.id) == null ? void 0 : o.toLowerCase();
      return t && this.visualisationLinkFormats.includes(t);
    }
  }
}, h = { class: "position-relative d-inline-block ml-1 mb-1" }, u = ["href"], w = {
  key: 2,
  class: "d-flex justify-content-between p-0 pl-2 pr-2 w-100 rounded-lg btn-color dropdown-button text-opacity-0"
};
function L(e, t, s, a, o, l) {
  return r(), c("div", h, [
    o.showVisualisationButton && l.showVisualisationLink(s.distribution) ? (r(), c("div", {
      key: 0,
      class: "distribution-action btn btn-sm visualise-btn pt-0",
      onClick: t[0] || (t[0] = (f) => e.$emit("displayVisualisation", e.getDownloadUrl))
    }, m(e.$t("message.datasetDetails.preview")), 1)) : l.showGeoLink(s.distribution) ? (r(), c("a", {
      key: 1,
      onClick: t[1] || (t[1] = (f) => e.$emit("track-link", l.getGeoLink, "link")),
      href: l.getGeoLink,
      target: "_blank",
      class: "d-flex justify-content-between btn btn-sm btn-primary p-0 pl-2 pr-2 w-100 rounded-lg btn-color dropdown-button"
    }, m(e.$t("message.datasetDetails.preview")), 9, u)) : (r(), c("span", w, m(e.$t("message.datasetDetails.preview")), 1))
  ]);
}
const _ = /* @__PURE__ */ p(d, [["render", L], ["__scopeId", "data-v-fc58797b"]]);
export {
  _ as default
};
//# sourceMappingURL=DistributionVisualizeButton.vue.mjs.map
