import { resolveComponent as n, openBlock as o, createElementBlock as r, createElementVNode as s, createVNode as d, createTextVNode as g, Fragment as C, renderList as h, withCtx as y, toDisplayString as f, createCommentVNode as v } from "vue";
import "./DatasetDetailsFeatureHeader.vue2.mjs";
import k from "../../_virtual/_plugin-vue_export-helper.mjs";
import { truncate as D, getTranslationFor as u } from "../../utils/helpers.mjs";
import { mapGetters as _ } from "vuex";
import w from "../../widgets/AppLink.vue.mjs";
import { sortAlphabetically as L } from "./utils/sortAlphabetically.mjs";
import T from "jquery";
import "./DatasetDetailsHvdThemes.vue2.mjs";
const H = {
  name: "DatasetDetailsHvdThemes",
  components: {
    AppLink: w
    // DatasetDetailsFeatureHeader
  },
  props: {},
  data() {
    return {
      defaultLocale: this.$env.languages.locale,
      defaultDisplayCount: 0,
      hvdCategories: {
        displayAll: !1,
        displayCount: 24,
        // Should never exceed number of keywords
        incrementSteps: [12, 60]
      },
      maxCategoryLength: 15,
      followCategoryLinks: this.$env.content.datasets.followCategoryLinks
    };
  },
  computed: {
    ..._("datasetDetails", [
      "getHvdCategories"
    ]),
    isCategoriesAllDisplayed() {
      return this.hvdCategories.displayAll;
    }
  },
  methods: {
    truncate: D,
    sortAlphabetically: L,
    getTranslationFor: u,
    categoryTruncated(t) {
      return u(t.title, this.defaultLocale).length > this.maxCategoryLength;
    },
    getHvdCategoryLink(t) {
      const a = t.id;
      return {
        path: "/datasets",
        query: Object.assign({}, { hvdCategory: a, locale: this.$route.query.locale })
      };
    },
    toggleDisplayCount() {
      T("body").tooltip({ selector: '[data-toggle="tooltip"]' }), this.hvdCategories.displayCount < this.getHvdCategories.length ? this.hvdCategories.displayCount = this.getHvdCategories.length : this.hvdCategories.displayCount = this.defaultDisplayCount, this.hvdCategories.displayAll = !this.hvdCategories.displayAll;
    }
  }
}, A = { class: "mt-2 flex-column dsd-feature" }, b = {
  key: 0,
  class: "keywords__item row mt-4"
}, x = ["data-toggle", "data-placement", "aria-label", "title"];
function q(t, a, F, V, i, e) {
  const m = n("dataset-details-feature-header"), p = n("app-link");
  return o(), r("div", A, [
    s("div", null, [
      d(m, {
        title: `HVD Categories/Themes (${t.getHvdCategories ? t.getHvdCategories.length.toLocaleString("fi") : 0})`,
        arrowDown: !e.isCategoriesAllDisplayed,
        tag: "keywords-toggle",
        onClick: e.toggleDisplayCount
      }, null, 8, ["title", "arrowDown", "onClick"])
    ]),
    a[0] || (a[0] = g()),
    e.isCategoriesAllDisplayed ? (o(), r("div", b, [
      (o(!0), r(C, null, h(t.getHvdCategories, (l, c) => (o(), r("span", {
        key: c,
        class: "col-6 col-sm-3 col-md-2 mt-md-0 mt-3 mb-2 px-1"
      }, [
        d(p, {
          to: e.getHvdCategoryLink(l),
          rel: i.followCategoryLinks
        }, {
          default: y(() => [
            s("small", {
              class: "d-inline-block text-nowrap w-100 py-2 rounded-pill text-center text-white tag-color",
              "data-toggle": e.categoryTruncated(l) ? "tooltip" : !1,
              "data-placement": e.categoryTruncated(l) ? "top" : !1,
              "aria-label": e.getTranslationFor(l.title, t.$route.query.locale),
              title: e.categoryTruncated(l) ? e.getTranslationFor(l.title, t.$route.query.locale) : !1
            }, f(e.truncate(e.getTranslationFor(l.title, t.$route.query.locale), i.maxCategoryLength, !1)), 9, x)
          ]),
          _: 2
        }, 1032, ["to", "rel"])
      ]))), 128))
    ])) : v("", !0),
    a[1] || (a[1] = g()),
    a[2] || (a[2] = s("div", null, null, -1))
  ]);
}
const J = /* @__PURE__ */ k(H, [["render", q], ["__scopeId", "data-v-4a8baf37"]]);
export {
  J as default
};
//# sourceMappingURL=DatasetDetailsHvdThemes.vue.mjs.map
