import C from "../widgets/AppLink.vue.mjs";
import j from "../widgets/ResourceDetailsLinkedDataButton.vue.mjs";
import { has as v, isNil as w, isObject as N, isString as A, isArray as I } from "lodash-es";
import { getImg as L, getTranslationFor as P } from "../utils/helpers.mjs";
import T from "../filters/dateFilters.mjs";
import { resolveComponent as O, openBlock as i, createElementBlock as g, createElementVNode as s, normalizeClass as F, createCommentVNode as r, createTextVNode as l, toDisplayString as o, createVNode as y, withCtx as m, createBlock as c, Fragment as k, renderList as f } from "vue";
import "./CatalogDetailsFacet.vue2.mjs";
import B from "../_virtual/_plugin-vue_export-helper.mjs";
const R = {
  name: "CatalogDetailsFacet",
  props: [
    "catalog",
    "catalogLanguageIds"
  ],
  components: {
    AppLink: C,
    ResourceDetailsLinkedDataButton: j
  },
  methods: {
    has: v,
    isNil: w,
    getImg: L,
    getTranslationFor: P,
    formatDate(d) {
      return T.formatEU(d);
    },
    getCatalogImage(d) {
      return this.$env.content.catalogs.useCatalogCountries ? `${this.$env.content.catalogs.defaultCatalogImagePath}/${v(d, "country.id") ? d.country.id : this.$env.content.catalogs.defaultCatalogCountryID}` : `${this.$env.content.catalogs.defaultCatalogImagePath}/${v(d, "id") ? d.id : this.$env.content.catalogs.defaultCatalogID}`;
    },
    showObject(d) {
      return !w(d) && N(d) && !Object.values(d).reduce((a, t) => a && t === void 0, !0);
    },
    showArrayOfStrings(d) {
      return this.showArray(d) && d.every((a) => this.showString(a));
    },
    showString(d) {
      return !w(d) && A(d);
    },
    showArray(d) {
      return !w(d) && I(d) && d.length > 0;
    },
    showObjectArray(d) {
      return this.showArray(d) && !d.reduce((a, t) => a && Object.values(t).reduce((D, S) => D && S === void 0, !0), !0);
    }
  }
}, V = { class: "row position-relative" }, E = { class: "px-3" }, M = ["src", "alt"], q = {
  key: 0,
  class: "catalog-details-table col mt-3"
}, z = { class: "small" }, J = { key: 0 }, U = ["title"], X = { key: 1 }, G = ["title"], H = { key: 2 }, K = ["title"], Q = { key: 0 }, W = { key: 3 }, Y = { key: 0 }, Z = { key: 4 }, x = ["title"], _ = { key: 5 }, $ = ["title"], p = { key: 0 }, tt = { key: 1 }, at = ["href"], et = { key: 6 }, lt = { key: 0 }, dt = { key: 1 }, ot = { key: 7 }, it = ["title"], st = { key: 8 }, gt = ["title"], rt = { key: 9 }, ut = { key: 0 }, nt = { key: 10 }, mt = { key: 11 }, ct = { key: 12 }, ht = { key: 13 }, yt = { key: 0 }, bt = { key: 1 }, kt = { key: 14 }, ft = { class: "dropdown d-inline-block" }, wt = ["title"], vt = {
  class: "dropdown-menu",
  "aria-labelledby": "linkedDataDropdownMenuLink"
};
function Dt(d, a, t, D, S, e) {
  const n = O("app-link"), b = O("resource-details-linked-data-button");
  return i(), g("div", V, [
    s("span", E, [
      e.has(t.catalog, "country.id") ? (i(), g("img", {
        key: 0,
        class: F(["catalog-flag border border-dark", { io: t.catalog.country.id === "io" }]),
        src: e.getImg(e.getCatalogImage(t.catalog)),
        width: "100%",
        height: "auto",
        alt: t.catalog.country.id
      }, null, 10, M)) : r("", !0)
    ]),
    a[46] || (a[46] = l()),
    e.showObject(t.catalog) ? (i(), g("div", q, [
      s("div", z, [
        e.has(t.catalog, "title") && e.showObject(t.catalog.title) ? (i(), g("dl", J, [
          s("dt", null, [
            s("span", {
              class: "pointer",
              title: d.$t("message.tooltip.catalogDetails.title"),
              "data-toggle": "tooltip",
              "data-placement": "right"
            }, o(d.$t("message.metadata.title")), 9, U)
          ]),
          a[0] || (a[0] = l()),
          s("dd", null, o(e.getTranslationFor(t.catalog.title, d.$route.query.locale, t.catalog.languages)), 1),
          a[1] || (a[1] = l()),
          s("dd", null, [
            y(n, {
              to: t.catalog.homepage
            }, {
              default: m(() => [
                l(o(t.catalog.homepage), 1)
              ]),
              _: 1
            }, 8, ["to"])
          ])
        ])) : r("", !0),
        a[31] || (a[31] = l()),
        e.has(t.catalog, "description") && e.showObject(t.catalog.description) ? (i(), g("dl", X, [
          s("dt", null, [
            s("span", {
              class: "pointer",
              title: d.$t("message.tooltip.catalogDetails.description"),
              "data-toggle": "tooltip"
            }, o(d.$t("message.metadata.description")), 9, G)
          ]),
          a[2] || (a[2] = l()),
          s("dd", null, o(e.getTranslationFor(t.catalog.description, d.$route.query.locale, t.catalog.languages)), 1)
        ])) : r("", !0),
        a[32] || (a[32] = l()),
        e.has(t.catalog, "publisher") && e.showObject(t.catalog.publisher) ? (i(), g("dl", H, [
          s("dt", null, [
            s("span", {
              class: "pointer",
              title: d.$t("message.tooltip.catalogDetails.publisher"),
              "data-toggle": "tooltip"
            }, o(d.$t("message.metadata.publisher")), 9, K)
          ]),
          a[3] || (a[3] = l()),
          e.has(t.catalog, "publisher.name") && e.showString(t.catalog.publisher.name) ? (i(), g("dd", Q, o(t.catalog.publisher.name), 1)) : r("", !0),
          a[4] || (a[4] = l()),
          s("dd", null, [
            e.has(t.catalog, "publisher.homepage") && e.showString(t.catalog.publisher.homepage) ? (i(), c(n, {
              key: 0,
              to: t.catalog.publisher.homepage
            }, {
              default: m(() => [
                l(o(t.catalog.publisher.homepage), 1)
              ]),
              _: 1
            }, 8, ["to"])) : r("", !0)
          ]),
          a[5] || (a[5] = l()),
          s("dd", null, [
            e.has(t.catalog, "publisher.email") && e.showString(t.catalog.publisher.email) ? (i(), c(n, {
              key: 0,
              to: t.catalog.publisher.email
            }, {
              default: m(() => [
                l(o(t.catalog.publisher.email), 1)
              ]),
              _: 1
            }, 8, ["to"])) : r("", !0)
          ])
        ])) : r("", !0),
        a[33] || (a[33] = l()),
        e.has(t.catalog, "creator") && e.showObject(t.catalog.creator) ? (i(), g("dl", W, [
          s("dt", null, o(d.$t("message.metadata.creator")), 1),
          a[6] || (a[6] = l()),
          e.has(t.catalog, "creator.name") && e.showString(t.catalog.creator.name) ? (i(), g("dd", Y, o(t.catalog.creator.name), 1)) : r("", !0),
          a[7] || (a[7] = l()),
          s("dd", null, [
            e.has(t.catalog, "creator.homepage") && e.showString(t.catalog.creator.homepage) ? (i(), c(n, {
              key: 0,
              to: t.catalog.creator.homepage
            }, {
              default: m(() => [
                l(o(t.catalog.creator.homepage), 1)
              ]),
              _: 1
            }, 8, ["to"])) : r("", !0)
          ]),
          a[8] || (a[8] = l()),
          s("dd", null, [
            e.has(t.catalog, "creator.email") && e.showString(t.catalog.creator.email) ? (i(), c(n, {
              key: 0,
              to: t.catalog.creator.email
            }, {
              default: m(() => [
                l(o(t.catalog.creator.email), 1)
              ]),
              _: 1
            }, 8, ["to"])) : r("", !0)
          ])
        ])) : r("", !0),
        a[34] || (a[34] = l()),
        e.has(t.catalog, "languages") && e.showArray(t.catalog.languages) ? (i(), g("dl", Z, [
          s("dt", null, [
            s("span", {
              class: "pointer",
              title: d.$t("message.tooltip.catalogDetails.language"),
              "data-toggle": "tooltip"
            }, o(d.$t("message.metadata.languages")), 9, x)
          ]),
          a[9] || (a[9] = l()),
          (i(!0), g(k, null, f(t.catalogLanguageIds, (u) => (i(), g("dd", { key: u }, o(u), 1))), 128))
        ])) : r("", !0),
        a[35] || (a[35] = l()),
        e.has(t.catalog, "availability") && e.showObject(t.catalog.availability) ? (i(), g("dl", _, [
          s("dt", null, [
            s("span", {
              class: "pointer",
              title: d.$t("message.tooltip.catalogDetails.availability"),
              "data-toggle": "tooltip"
            }, o(d.$t("message.metadata.availability")), 9, $)
          ]),
          a[10] || (a[10] = l()),
          e.has(t.catalog.availability, "label") && !e.isNil(t.catalog.availability.label) ? (i(), g("dd", p, o(d.$t("message.metadata.label")) + ": " + o(t.catalog.availability.label), 1)) : r("", !0),
          a[11] || (a[11] = l()),
          e.has(t.catalog.availability, "resource") && !e.isNil(t.catalog.availability.resource) ? (i(), g("dd", tt, [
            l(o(d.$t("message.metadata.resource")) + ": ", 1),
            s("a", {
              href: t.catalog.availability.resource
            }, o(t.catalog.availability.resource), 9, at)
          ])) : r("", !0)
        ])) : r("", !0),
        a[36] || (a[36] = l()),
        e.has(t.catalog, "licence") && e.showObject(t.catalog.licence) ? (i(), g("dl", et, [
          s("dt", null, o(d.$t("message.catalogFacets.facets.licences")), 1),
          a[12] || (a[12] = l()),
          e.has(t.catalog, "licence.label") && e.showString(t.catalog.licence.label) ? (i(), g("dd", lt, o(t.catalog.licence.label), 1)) : r("", !0),
          a[13] || (a[13] = l()),
          e.has(t.catalog, "licence.description") && e.showString(t.catalog.licence.description) ? (i(), g("dd", dt, o(t.catalog.licence.description), 1)) : r("", !0),
          a[14] || (a[14] = l()),
          s("dd", null, [
            e.has(t.catalog, "licence.resource") && e.showString(t.catalog.licence.resource) ? (i(), c(n, {
              key: 0,
              to: t.catalog.licence.resource
            }, {
              default: m(() => [
                l(o(t.catalog.licence.resource), 1)
              ]),
              _: 1
            }, 8, ["to"])) : r("", !0)
          ]),
          a[15] || (a[15] = l()),
          s("dd", null, [
            e.has(t.catalog, "licence.la_url") && e.showString(t.catalog.licence.la_url) ? (i(), c(n, {
              key: 0,
              to: t.catalog.licence.la_url
            }, {
              default: m(() => [
                l(o(t.catalog.licence.la_url), 1)
              ]),
              _: 1
            }, 8, ["to"])) : r("", !0)
          ])
        ])) : r("", !0),
        a[37] || (a[37] = l()),
        e.has(t.catalog, "issued") && !e.isNil(t.catalog.issued) ? (i(), g("dl", ot, [
          s("dt", null, [
            s("span", {
              class: "pointer",
              title: d.$t("message.tooltip.catalogDetails.created"),
              "data-toggle": "tooltip"
            }, o(d.$t("message.metadata.created")), 9, it)
          ]),
          a[16] || (a[16] = l()),
          s("dd", null, o(e.formatDate(t.catalog.issued)), 1)
        ])) : r("", !0),
        a[38] || (a[38] = l()),
        e.has(t.catalog, "modified") && !e.isNil(t.catalog.modified) ? (i(), g("dl", st, [
          s("dt", null, [
            s("span", {
              class: "pointer",
              title: d.$t("message.tooltip.catalogDetails.updated"),
              "data-toggle": "tooltip"
            }, o(d.$t("message.metadata.updated")), 9, gt)
          ]),
          a[17] || (a[17] = l()),
          s("dd", null, o(e.formatDate(t.catalog.modified)), 1)
        ])) : r("", !0),
        a[39] || (a[39] = l()),
        e.has(t.catalog, "rights") && e.showObject(t.catalog.rights) ? (i(), g("dl", rt, [
          s("dt", null, o(d.$t("message.metadata.rights")), 1),
          a[18] || (a[18] = l()),
          e.has(t.catalog, "rights.label") && e.showString(t.catalog.rights.label) ? (i(), g("dd", ut, o(t.catalog.rights.label), 1)) : r("", !0),
          a[19] || (a[19] = l()),
          s("dd", null, [
            e.has(t.catalog, "rights.resource") && e.showString(t.catalog.rights.resource) ? (i(), c(n, {
              key: 0,
              to: t.catalog.rights.resource
            }, {
              default: m(() => [
                l(o(t.catalog.rights.resource), 1)
              ]),
              _: 1
            }, 8, ["to"])) : r("", !0)
          ])
        ])) : r("", !0),
        a[40] || (a[40] = l()),
        e.has(t.catalog, "isPartOf") && e.showString(t.catalog.isPartOf) ? (i(), g("dl", nt, [
          s("dt", null, o(d.$t("message.metadata.isPartOf")), 1),
          a[20] || (a[20] = l()),
          s("dd", null, o(t.catalog.isPartOf), 1)
        ])) : r("", !0),
        a[41] || (a[41] = l()),
        e.has(t.catalog, "hasPart") && e.showArrayOfStrings(t.catalog.hasPart) ? (i(), g("dl", mt, [
          s("dt", null, o(d.$t("message.metadata.hasPart")), 1),
          a[21] || (a[21] = l()),
          (i(!0), g(k, null, f(t.catalog.hasPart, (u, h) => (i(), g("dl", { key: h }, o(u), 1))), 128))
        ])) : r("", !0),
        a[42] || (a[42] = l()),
        e.has(t.catalog, "themeTaxonomy") && e.showArrayOfStrings(t.catalog.themeTaxonomy) ? (i(), g("dl", ct, [
          s("dt", null, o(d.$t("message.metadata.themeTaxonomy")), 1),
          a[22] || (a[22] = l()),
          (i(!0), g(k, null, f(t.catalog.themeTaxonomy, (u, h) => (i(), g("dl", { key: h }, o(u), 1))), 128))
        ])) : r("", !0),
        a[43] || (a[43] = l()),
        e.has(t.catalog, "spatial") && e.showObjectArray(t.catalog.spatial) ? (i(), g("dl", ht, [
          s("dt", null, o(d.$t("message.metadata.spatial")), 1),
          a[24] || (a[24] = l()),
          (i(!0), g(k, null, f(t.catalog.spatial, (u, h) => (i(), g("dl", { key: h }, [
            e.has(u, "coordinates") && e.showString(u.coordinates) ? (i(), g("dd", yt, o(d.$t("message.metadata.coordinates")) + ": " + o(u.coordinates), 1)) : r("", !0),
            a[23] || (a[23] = l()),
            e.has(u, "type") && e.showString(u.type) ? (i(), g("dd", bt, o(d.$t("message.metadata.type")) + ": " + o(u.type), 1)) : r("", !0)
          ]))), 128))
        ])) : r("", !0),
        a[44] || (a[44] = l()),
        e.has(t.catalog, "spatialResource") && e.showArray(t.catalog.spatialResource) ? (i(), g("dl", kt, [
          s("dt", null, o(d.$t("message.metadata.spatialResource")), 1),
          a[25] || (a[25] = l()),
          (i(!0), g(k, null, f(t.catalog.spatialResource, (u, h) => (i(), g("dl", { key: h }, [
            s("dd", null, [
              e.showString(u) ? (i(), c(n, {
                key: 0,
                to: u
              }, {
                default: m(() => [
                  l(o(u), 1)
                ]),
                _: 2
              }, 1032, ["to"])) : r("", !0)
            ])
          ]))), 128))
        ])) : r("", !0),
        a[45] || (a[45] = l()),
        s("dl", null, [
          s("div", ft, [
            y(n, {
              class: "text-dark p-0 font-weight-bold nav-link underline dropdown-toggle text-nowrap",
              fragment: "#",
              role: "button",
              id: "linkedDataDropdownMenuLink",
              "data-toggle": "dropdown",
              "aria-haspopup": "true",
              "aria-expanded": "false"
            }, {
              default: m(() => [
                s("span", {
                  title: d.$t("message.tooltip.catalogDetails.metadata"),
                  "data-toggle": "tooltip"
                }, o(d.$t("message.catalogs.downloadAsLinkedData")), 9, wt)
              ]),
              _: 1
            }),
            a[30] || (a[30] = l()),
            s("div", vt, [
              y(b, {
                class: "dropdown-item",
                format: "rdf",
                text: "RDF/XML",
                resources: "catalogues",
                "resources-id": t.catalog.id
              }, null, 8, ["resources-id"]),
              a[26] || (a[26] = l()),
              y(b, {
                class: "dropdown-item",
                format: "ttl",
                text: "Turtle",
                resources: "catalogues",
                "resources-id": t.catalog.id
              }, null, 8, ["resources-id"]),
              a[27] || (a[27] = l()),
              y(b, {
                class: "dropdown-item",
                format: "n3",
                text: "Notation3",
                resources: "catalogues",
                "resources-id": t.catalog.id
              }, null, 8, ["resources-id"]),
              a[28] || (a[28] = l()),
              y(b, {
                class: "dropdown-item",
                format: "nt",
                text: "N-Triples",
                resources: "catalogues",
                "resources-id": t.catalog.id
              }, null, 8, ["resources-id"]),
              a[29] || (a[29] = l()),
              y(b, {
                class: "dropdown-item",
                format: "jsonld",
                text: "JSON-LD",
                resources: "catalogues",
                "resources-id": t.catalog.id
              }, null, 8, ["resources-id"])
            ])
          ])
        ])
      ])
    ])) : r("", !0)
  ]);
}
const Pt = /* @__PURE__ */ B(R, [["render", Dt]]);
export {
  Pt as default
};
//# sourceMappingURL=CatalogDetailsFacet.vue.mjs.map
