import { openBlock as s, createElementBlock as i, renderSlot as m, createTextVNode as l, Fragment as u, createElementVNode as n, toDisplayString as c, createCommentVNode as f, renderList as p } from "vue";
import "./Facet.vue2.mjs";
import h from "../_virtual/_plugin-vue_export-helper.mjs";
const y = {
  name: "Facet",
  props: {
    header: {
      type: String,
      default: ""
    },
    items: {
      type: Array,
      required: !0
    },
    maxItems: {
      type: Number,
      default: 50
    },
    minItems: {
      type: Number,
      default: 5
    },
    toolTipTitle: {
      type: String,
      default: ""
    }
  },
  data() {
    return {
      id: null,
      isExpanded: !1,
      isGrown: !1,
      numItemsAllowed: this.minItems
    };
  },
  computed: {
    myId() {
      return `facet-${this.id}`;
    }
  },
  methods: {
    handleGrowToggle() {
      this.isGrown = !this.isGrown, this.numItemsAllowed = this.isGrown ? this.maxItems : this.minItems;
    }
  },
  mounted() {
    this.id = this._uid;
  }
}, b = { class: "list-group" }, x = { class: "d-none d-md-block list-group-item facet-header" }, _ = { class: "h5 mb-0 float-left" }, k = ["title"], w = ["data-target"], I = { class: "h5 mb-0" }, G = { class: "btn" }, T = {
  key: 0,
  class: "material-icons small-icon expand-more animated"
}, v = {
  key: 1,
  class: "material-icons small-icon expand-less animated"
}, E = ["id"], N = { class: "material-icons align-bottom expand-more animated" };
function A(r, e, t, S, o, d) {
  return s(), i("div", b, [
    m(r.$slots, "before", {}, void 0, !0),
    e[7] || (e[7] = l()),
    t.header ? (s(), i(u, { key: 0 }, [
      n("div", x, [
        n("h2", _, c(t.header), 1),
        e[2] || (e[2] = l()),
        n("i", {
          class: "tooltip-icon material-icons small-icon align-right text-dark pl-1",
          "data-toggle": "tooltip",
          "data-placement": "right",
          title: t.toolTipTitle
        }, `
          help_outline
        `, 8, k)
      ]),
      e[4] || (e[4] = l()),
      n("a", {
        class: "d-flex d-md-none list-group-item justify-content-between align-items-baseline",
        "data-toggle": "collapse",
        "data-target": `#${d.myId}`,
        onClick: e[0] || (e[0] = (a) => o.isExpanded = !o.isExpanded)
      }, [
        n("h2", I, c(t.header), 1),
        e[3] || (e[3] = l()),
        n("button", G, [
          o.isExpanded ? (s(), i("i", v, "expand_less")) : (s(), i("i", T, "expand_more"))
        ])
      ], 8, w)
    ], 64)) : f("", !0),
    e[8] || (e[8] = l()),
    n("div", {
      id: d.myId,
      class: "collapse dont-collapse-sm"
    }, [
      t.items && t.items.length > 0 ? (s(), i(u, { key: 0 }, [
        (s(!0), i(u, null, p(t.items.slice(0, o.numItemsAllowed), (a, g) => (s(), i("div", {
          class: "list-item-container",
          key: `field@${g}`
        }, [
          m(r.$slots, "default", {
            item: a,
            index: g
          }, void 0, !0)
        ]))), 128)),
        e[5] || (e[5] = l()),
        t.items.length > t.minItems ? (s(), i("button", {
          key: 0,
          class: "d-block btn btn-primary btn-color w-100 facet-expand-button",
          onClick: e[1] || (e[1] = (...a) => d.handleGrowToggle && d.handleGrowToggle(...a))
        }, [
          n("i", N, c(o.isGrown ? "expand_less" : "expand_more"), 1)
        ])) : f("", !0)
      ], 64)) : f("", !0),
      e[6] || (e[6] = l()),
      m(r.$slots, "after", {}, void 0, !0)
    ], 8, E)
  ]);
}
const B = /* @__PURE__ */ h(y, [["render", A], ["__scopeId", "data-v-272373c9"]]);
export {
  B as default
};
//# sourceMappingURL=Facet.vue.mjs.map
