/**
 * @author Dennis ritter
 * @created 06.07.17
 * @description Contains filters to format Dates.
 */
declare const dateFilters: {
    setLocale(locale?: string, formatOptions?: {}): void;
    /**
     * @description Transforms the given date into a US Date Format String
     * @param {date} date - The given date
     * @returns {String}
     */
    formatUS(date: string): string;
    /**
     * @description Transforms the given date into a US Date Format String
     * @param {date} date - The given date
     * @returns {String}
     */
    formatEU(date: string): string;
    /**
     * @description Returns a String representing the expired time from the given date to now.
     * @param {date} date - The given date
     * @returns {String}
     */
    fromNow(date: string): any;
};
export default dateFilters;
