import { mapActions as r } from "vuex";
import e from "leaflet";
import s from "leaflet/dist/images/marker-icon-2x.png";
import p from "leaflet/dist/images/marker-icon.png";
import n from "leaflet/dist/images/marker-shadow.png";
import { openBlock as m, createElementBlock as h } from "vue";
import "./MapBasic.vue2.mjs";
import l from "../_virtual/_plugin-vue_export-helper.mjs";
e.Marker.prototype.options.icon = e.icon({
  iconRetinaUrl: s,
  iconUrl: p,
  shadowUrl: n,
  iconSize: [25, 41],
  iconAnchor: [12, 41],
  popupAnchor: [1, -34],
  tooltipAnchor: [16, -28],
  shadowSize: [41, 41]
});
const d = {
  name: "MapBasic",
  data() {
    return {
      map: {},
      mapStyle: this.$env.content.maps.mapStyle,
      urlTemplate: this.$env.content.maps.urlTemplate,
      options: this.$env.content.maps.options
    };
  },
  props: {
    location: {
      type: Array
    },
    spatialType: {
      type: String
    },
    height: {
      type: String
    },
    width: {
      type: String
    },
    mapContainerId: {
      type: String
    }
  },
  computed: {
    type() {
      return this.spatialType.substring(0, 1).toUpperCase() + this.spatialType.substring(1);
    }
  },
  methods: {
    ...r("datasets", []),
    initMap() {
      const t = e.map(this.mapContainerId, { editable: !0 });
      e.tileLayer(this.urlTemplate, this.options).addTo(t);
      const i = e.geoJSON({
        type: "Feature",
        properties: {},
        geometry: {
          type: this.type,
          coordinates: this.location
        }
      }, {
        style: this.mapStyle,
        pointToLayer: (o, a) => e.circleMarker(a, this.mapStyle)
      }).addTo(t);
      return this.$refs.mapref.style.height = this.height, this.$refs.mapref.style.width = this.width, t.invalidateSize(), t.setZoom(t.getBoundsZoom(i.getBounds())), t.fitBounds(i.getBounds()), t;
    }
  },
  filters: {},
  watch: {
    height: {
      handler(t) {
        this.$refs.mapref.style.height = t, this.map.invalidateSize();
      }
    },
    width: {
      handler(t) {
        this.$refs.mapref.style.width = t, this.map.invalidateSize();
      }
    }
  },
  mounted() {
    this.map = this.initMap(), this.map.on("resize", () => {
      this.map.invalidateSize();
    });
  }
}, c = ["id"];
function y(t, i, o, a, f, u) {
  return m(), h("div", {
    id: o.mapContainerId,
    ref: "mapref",
    style: { "z-index": "0" }
  }, null, 8, c);
}
const B = /* @__PURE__ */ l(d, [["render", y]]);
export {
  B as default
};
//# sourceMappingURL=MapBasic.vue.mjs.map
