export declare const getResponseData: (dataset: {
    is_hvd: boolean;
}) => {
    [key: string]: unknown;
};
export default class Datasets {
    private readonly baseUrl;
    private readonly hubUrl;
    private readonly qualityBaseUrl;
    private readonly similarityBaseUrl;
    private readonly similarityServiceName;
    private readonly defaultScoringFacets;
    constructor(baseUrl: string, hubUrl: string, qualityBaseUrl: string, similarityBaseUrl: string, similarityServiceName: string, defaultScoringFacets: any[]);
    /**
       * @description GET dataset by given id.
       * @param id
       */
    getSingle(id: any): Promise<unknown>;
    /**
       * @description GET all datasets matching the given criteria.
       * @param q
       * @param locale
       * @param facets
       * @param geoBounds
       * @param minScoring
       * @param dataScope
       * @returns {Promise}
       */
    get(q: any, locale: any, limit: any, page: number | undefined, sort: string | undefined, facetOperator: string | undefined, facetGroupOperator: string | undefined, dataServices: string | undefined, facets: {
        scoring: any;
        dataServices: any;
    }, geoBounds: any, minScoring: number | undefined, dataScope: string): Promise<unknown>;
    /**
     * @description Get similar datasets to the dataset represented by the provided id.
     * @param id {string} The dataset id to get similar datasets for.
     * @param properties additional parameters, in particular for the knn-request
     * @param query {SimilarDatasetsQuery} query params
     */
    getSimilarDatasets(id: any, properties: any, query?: SimilarDatasetsQuery): Promise<unknown>;
    getQualityData(id: any): Promise<unknown>;
    getQualityDistributionData(id: any): Promise<unknown>;
    getDQVDataHead(id: any, locale: any): Promise<unknown>;
    /**
   * @description Autocomplete the given query.
   * @param q {String} The Query to autocomplete.
   */
    autocomplete(q: any): Promise<unknown>;
}
export interface SimilarDatasetsQuery {
    limits?: number;
}
