import { Commit } from 'vuex';

type Snack = {
    delay: number;
    autohide: boolean;
    animation: boolean;
    variant: string;
    message: string;
};
declare const _default: {
    namespaced: boolean;
    state: {
        delay: number;
        autohide: boolean;
        animation: boolean;
        variant: string;
        message: string;
    };
    mutations: {
        SHOW_MESSAGE(state: Snack, payload: Snack): void;
    };
    actions: {
        /**
         * Commits a message to the store.
         * @param {*} commit
         * @param {*} toastOptions - Object containing the message and the toast options
         */
        showSnackbar({ commit }: {
            commit: Commit;
        }, { message, variant, timeout }: {
            message?: string | undefined;
            variant?: string | undefined;
            timeout?: number | undefined;
        }): void;
        /**
         * Commits an error message to the store.
         * @param {*} commit
         * @param {String} message The message
         */
        showError({ commit }: {
            commit: Commit;
        }, message: string): void;
    };
};
export default _default;
